require "defines"

--vars for extending day night cycle
local EXTEND_NIGH = 3 -- (integer) This variable controls how much extended the night will be, can be set to zero for standard 3.5 minutes night
local EXTEND_DAY  = 3 -- Same as above but for day
local freeze = game.freezedaytime
local counter
local freeze_state -- don't call freeze more then needed

game.oninit(function()

--day/night extender cycle code
glob.counter = glob.counter or 0
counter = glob.counter 
glob.freeze_state = (type(glob.freeze_state) == "nil" ) and false or glob.freeze_state
freeze_state = glob.freeze_state

--Code:1 keep in case i want to revert to no night
--Get rid of night time removed night time techs below
--game.alwaysday = true

--Create starting crashed spaceship full of goodies
local position1 = game.findnoncollidingposition("big-ship-wreck-1", {0, 0}, 40, 5)
local chest1 = game.createentity{name = "big-ship-wreck-1", position = position1, force = game.forces.neutral}
chest1.insert({name="solar-panel", count="5"})
chest1.insert({name="small-electric-pole", count="4"})

local position2 = game.findnoncollidingposition("big-ship-wreck-2", {0, 0}, 40, 5)
local chest2 = game.createentity{name = "big-ship-wreck-2", position = position2, force = game.forces.neutral}
chest2.insert({name="basic-accumulator", count="2"})
chest2.insert({name="assembling-machine-3", count="1"})

local position3 = game.findnoncollidingposition("big-ship-wreck-3", {0, 0}, 40, 5)
local chest3 = game.createentity{name = "big-ship-wreck-3", position = position3, force = game.forces.neutral}
chest3.insert({name="substation-double", count="1"})

local position4 = game.findnoncollidingposition("truck", {0, 0}, 40, 5)
local truck = game.createentity{name = "truck", position = position4, force = game.forces.neutral}
truck.insert({name="solid-fuel", count="50"})
	
end)


game.onevent(defines.events.onplayercreated, function(event)
local player = game.getplayer(event.playerindex)
local technologylist = player.force.technologies

--hand crafting toggle
player.gui.top.add{name= "label1", type = "label", caption = "Machine Crafting Only"}
local button = player.gui.top.add{name = "toggle", type = "button", caption = "ON"}
button.style.fontcolor = {r = 0, g = 1, b = 0}
--remove manual crafting default 
player.force.manualcraftingspeedmodifier = -1


--get rid of base game items
player.clearitemsinside()

--give players some starting items
player.character.insert{name="plasma-scorcher", count=1}
player.character.insert{name="ps1200", count=10}
player.character.insert{name="jack-hammer", count=1}



--Code:1 keep in case i want to revert to no night
--remove night time techs
--technologylist["optics"].enabled = false
--technologylist["night-vision-equipment"].enabled = false

--remove useless techs
technologylist["turrets"].enabled = false
technologylist["basic-electric-discharge-defense-equipment"].enabled = false

end)


--day/night extender cycle code
game.onload(function()
  glob.counter = glob.counter or 0
  counter = glob.counter
  
  glob.freeze_state = (type(glob.freeze_state) == "nil" ) and false or glob.freeze_state
  freeze_state = glob.freeze_state
  
  if freeze_state then
    freeze(true)
  end
end)

game.onsave(function()
  glob.counter = counter
  glob.freeze_state = freeze_state
  freeze(false)
end)

game.onevent(defines.events.ontick, function(event)
  local tick = event.tick
  if tick % 4 == 0 then
    local dt = game.daytime
    local extend_by = (dt > 0.75 or dt < 0.25) and EXTEND_DAY or EXTEND_NIGH
    if counter == 0 then
      counter = counter + 1
      if freeze_state then
        freeze(false)
        freeze_state = false
      end
    elseif counter < extend_by then
      counter = counter + 1
      if not freeze_state then
        freeze(true)
        freeze_state = true
      end
    else
      counter = 0
    end
  end
end)


--settings gui for handcrafting
game.onevent(defines.events.onguiclick, function(event)
local click = event.element
local player = game.getplayer(event.playerindex)

--changes the gui for everyone playing
if click.name == "toggle" and click.caption == "ON" then
  	for playerIndex, player in pairs(game.players) do
	  if player.gui.top.toggle then
        player.gui.top.toggle.destroy()
		local button = player.gui.top.add{name = "toggle", type = "button", caption = "OFF"}
        button.style.fontcolor = {r = 1, g = 0, b = 0}
		player.force.manualcraftingspeedmodifier = 1
	  end
	end
elseif click.name == "toggle" and click.caption == "OFF" then
  	for playerIndex, player in pairs(game.players) do
	  if player.gui.top.toggle then
        player.gui.top.toggle.destroy()
		local button = player.gui.top.add{name = "toggle", type = "button", caption = "ON"}
        button.style.fontcolor = {r = 0, g = 1, b = 0}
		player.force.manualcraftingspeedmodifier = -1
	  end
	end
end		




end)
