data:extend({

-- Entity Accumulator
{
  type = "accumulator",
  name = "accumulator-mk-2",
  icon = "__increments__/graphics/icons/accumulator-mk-2.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "accumulator-mk-2"},
  max_health = 150,
  fast_replaceable_group = "accumulator",
  corpse = "medium-remnants",
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1, -1}, {1, 1}},
  energy_source =
  {
    type = "electric",
    buffer_capacity = "10MJ",
    usage_priority = "terciary",
    input_flow_limit = "600kW",
    output_flow_limit = "600kW"
  },
  picture =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-2.png",
    priority = "extra-high",
    width = 124,
    height = 103,
    shift = {0.7, -0.2}
  },
  charge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-2-charge-animation.png",
    width = 138,
    height = 135,
    line_length = 8,
    frame_count = 24,
    shift = {0.482, -0.638},
    animation_speed = 0.5
  },
  charge_cooldown = 30,
  charge_light = {intensity = 0.3, size = 7},
  discharge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-2-discharge-animation.png",
    width = 147,
    height = 128,
    line_length = 8,
    frame_count = 24,
    shift = {0.395, -0.525},
    animation_speed = 0.5
  },
  discharge_cooldown = 60,
  discharge_light = {intensity = 0.7, size = 7},
  working_sound =
  {
    sound =
    {
      filename = "__base__/sound/accumulator-working.ogg",
      volume = 1
    },
    idle_sound = {
      filename = "__base__/sound/accumulator-idle.ogg",
      volume = 0.4
    },
    max_sounds_per_type = 5
  },
},

{
  type = "accumulator",
  name = "accumulator-mk-3",
  icon = "__increments__/graphics/icons/accumulator-mk-3.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "accumulator-mk-3"},
  max_health = 175,
  fast_replaceable_group = "accumulator",
  corpse = "medium-remnants",
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1, -1}, {1, 1}},
  energy_source =
  {
    type = "electric",
    buffer_capacity = "15MJ",
    usage_priority = "terciary",
    input_flow_limit = "900kW",
    output_flow_limit = "900kW"
  },
  picture =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-3.png",
    priority = "extra-high",
    width = 124,
    height = 103,
    shift = {0.7, -0.2}
  },
  charge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-3-charge-animation.png",
    width = 138,
    height = 135,
    line_length = 8,
    frame_count = 24,
    shift = {0.482, -0.638},
    animation_speed = 0.5
  },
  charge_cooldown = 30,
  charge_light = {intensity = 0.3, size = 7},
  discharge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-3-discharge-animation.png",
    width = 147,
    height = 128,
    line_length = 8,
    frame_count = 24,
    shift = {0.395, -0.525},
    animation_speed = 0.5
  },
  discharge_cooldown = 60,
  discharge_light = {intensity = 0.7, size = 7},
  working_sound =
  {
    sound =
    {
      filename = "__base__/sound/accumulator-working.ogg",
      volume = 1
    },
    idle_sound = {
      filename = "__base__/sound/accumulator-idle.ogg",
      volume = 0.4
    },
    max_sounds_per_type = 5
  },
},

{
  type = "accumulator",
  name = "accumulator-mk-4",
  icon = "__increments__/graphics/icons/accumulator-mk-4.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "accumulator-mk-4"},
  max_health = 200,
  fast_replaceable_group = "accumulator",
  corpse = "medium-remnants",
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1, -1}, {1, 1}},
  energy_source =
  {
    type = "electric",
    buffer_capacity = "20MJ",
    usage_priority = "terciary",
    input_flow_limit = "1200kW",
    output_flow_limit = "1200kW"
  },
  picture =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-4.png",
    priority = "extra-high",
    width = 124,
    height = 103,
    shift = {0.7, -0.2}
  },
  charge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-4-charge-animation.png",
    width = 138,
    height = 135,
    line_length = 8,
    frame_count = 24,
    shift = {0.482, -0.638},
    animation_speed = 0.5
  },
  charge_cooldown = 30,
  charge_light = {intensity = 0.3, size = 7},
  discharge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-4-discharge-animation.png",
    width = 147,
    height = 128,
    line_length = 8,
    frame_count = 24,
    shift = {0.395, -0.525},
    animation_speed = 0.5
  },
  discharge_cooldown = 60,
  discharge_light = {intensity = 0.7, size = 7},
  working_sound =
  {
    sound =
    {
      filename = "__base__/sound/accumulator-working.ogg",
      volume = 1
    },
    idle_sound = {
      filename = "__base__/sound/accumulator-idle.ogg",
      volume = 0.4
    },
    max_sounds_per_type = 5
  },
},

{
  type = "accumulator",
  name = "accumulator-mk-5",
  icon = "__increments__/graphics/icons/accumulator-mk-5.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "accumulator-mk-5"},
  max_health = 225,
  fast_replaceable_group = "accumulator",
  corpse = "medium-remnants",
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1, -1}, {1, 1}},
  energy_source =
  {
    type = "electric",
    buffer_capacity = "25MJ",
    usage_priority = "terciary",
    input_flow_limit = "1500kW",
    output_flow_limit = "1500kW"
  },
  picture =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-5.png",
    priority = "extra-high",
    width = 124,
    height = 103,
    shift = {0.7, -0.2}
  },
  charge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-5-charge-animation.png",
    width = 138,
    height = 135,
    line_length = 8,
    frame_count = 24,
    shift = {0.482, -0.638},
    animation_speed = 0.5
  },
  charge_cooldown = 30,
  charge_light = {intensity = 0.3, size = 7},
  discharge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-5-discharge-animation.png",
    width = 147,
    height = 128,
    line_length = 8,
    frame_count = 24,
    shift = {0.395, -0.525},
    animation_speed = 0.5
  },
  discharge_cooldown = 60,
  discharge_light = {intensity = 0.7, size = 7},
  working_sound =
  {
    sound =
    {
      filename = "__base__/sound/accumulator-working.ogg",
      volume = 1
    },
    idle_sound = {
      filename = "__base__/sound/accumulator-idle.ogg",
      volume = 0.4
    },
    max_sounds_per_type = 5
  },
},

{
  type = "accumulator",
  name = "accumulator-mk-6",
  icon = "__increments__/graphics/icons/accumulator-mk-6.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "accumulator-mk-6"},
  max_health = 250,
  fast_replaceable_group = "accumulator",
  corpse = "medium-remnants",
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1, -1}, {1, 1}},
  energy_source =
  {
    type = "electric",
    buffer_capacity = "30MJ",
    usage_priority = "terciary",
    input_flow_limit = "1800kW",
    output_flow_limit = "1800kW"
  },
  picture =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-6.png",
    priority = "extra-high",
    width = 124,
    height = 103,
    shift = {0.7, -0.2}
  },
  charge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-6-charge-animation.png",
    width = 138,
    height = 135,
    line_length = 8,
    frame_count = 24,
    shift = {0.482, -0.638},
    animation_speed = 0.5
  },
  charge_cooldown = 30,
  charge_light = {intensity = 0.3, size = 7},
  discharge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-6-discharge-animation.png",
    width = 147,
    height = 128,
    line_length = 8,
    frame_count = 24,
    shift = {0.395, -0.525},
    animation_speed = 0.5
  },
  discharge_cooldown = 60,
  discharge_light = {intensity = 0.7, size = 7},
  working_sound =
  {
    sound =
    {
      filename = "__base__/sound/accumulator-working.ogg",
      volume = 1
    },
    idle_sound = {
      filename = "__base__/sound/accumulator-idle.ogg",
      volume = 0.4
    },
    max_sounds_per_type = 5
  },
},

{
  type = "accumulator",
  name = "accumulator-mk-7",
  icon = "__increments__/graphics/icons/accumulator-mk-7.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "accumulator-mk-7"},
  max_health = 300,
  fast_replaceable_group = "accumulator",
  corpse = "medium-remnants",
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1, -1}, {1, 1}},
  energy_source =
  {
    type = "electric",
    buffer_capacity = "35MJ",
    usage_priority = "terciary",
    input_flow_limit = "2100kW",
    output_flow_limit = "2100kW"
  },
  picture =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-7.png",
    priority = "extra-high",
    width = 124,
    height = 103,
    shift = {0.7, -0.2}
  },
  charge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-7-charge-animation.png",
    width = 138,
    height = 135,
    line_length = 8,
    frame_count = 24,
    shift = {0.482, -0.638},
    animation_speed = 0.5
  },
  charge_cooldown = 30,
  charge_light = {intensity = 0.3, size = 7},
  discharge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-7-discharge-animation.png",
    width = 147,
    height = 128,
    line_length = 8,
    frame_count = 24,
    shift = {0.395, -0.525},
    animation_speed = 0.5
  },
  discharge_cooldown = 60,
  discharge_light = {intensity = 0.7, size = 7},
  working_sound =
  {
    sound =
    {
      filename = "__base__/sound/accumulator-working.ogg",
      volume = 1
    },
    idle_sound = {
      filename = "__base__/sound/accumulator-idle.ogg",
      volume = 0.4
    },
    max_sounds_per_type = 5
  },
},

-- Entity Storage Accumulator

{
  type = "accumulator",
  name = "storage-accumulator",
  icon = "__base__/graphics/icons/basic-accumulator.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "storage-accumulator"},
  max_health = 150,
  fast_replaceable_group = "accumulator",
  corpse = "medium-remnants",
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1, -1}, {1, 1}},
  energy_source =
  {
    type = "electric",
    buffer_capacity = "25MJ",
    usage_priority = "terciary",
    input_flow_limit = "60kW",
    output_flow_limit = "60kW"
  },
  picture =
  {
    filename = "__base__/graphics/entity/basic-accumulator/basic-accumulator.png",
    priority = "extra-high",
    width = 124,
    height = 103,
    shift = {0.7, -0.2}
  },
  charge_animation =
  {
    filename = "__base__/graphics/entity/basic-accumulator/basic-accumulator-charge-animation.png",
    width = 138,
    height = 135,
    line_length = 8,
    frame_count = 24,
    shift = {0.482, -0.638},
    animation_speed = 0.5
  },
  charge_cooldown = 30,
  charge_light = {intensity = 0.3, size = 7},
  discharge_animation =
  {
    filename = "__base__/graphics/entity/basic-accumulator/basic-accumulator-discharge-animation.png",
    width = 147,
    height = 128,
    line_length = 8,
    frame_count = 24,
    shift = {0.395, -0.525},
    animation_speed = 0.5
  },
  discharge_cooldown = 60,
  discharge_light = {intensity = 0.7, size = 7},
  working_sound =
  {
    sound =
    {
      filename = "__base__/sound/accumulator-working.ogg",
      volume = 1
    },
    idle_sound = {
      filename = "__base__/sound/accumulator-idle.ogg",
      volume = 0.4
    },
    max_sounds_per_type = 5
  },
},

{
  type = "accumulator",
  name = "storage-accumulator-mk-2",
  icon = "__increments__/graphics/icons/accumulator-mk-2.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "storage-accumulator-mk-2"},
  max_health = 175,
  fast_replaceable_group = "accumulator",
  corpse = "medium-remnants",
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1, -1}, {1, 1}},
  energy_source =
  {
    type = "electric",
    buffer_capacity = "50MJ",
    usage_priority = "terciary",
    input_flow_limit = "120kW",
    output_flow_limit = "120kW"
  },
  picture =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-2.png",
    priority = "extra-high",
    width = 124,
    height = 103,
    shift = {0.7, -0.2}
  },
  charge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-2-charge-animation.png",
    width = 138,
    height = 135,
    line_length = 8,
    frame_count = 24,
    shift = {0.482, -0.638},
    animation_speed = 0.5
  },
  charge_cooldown = 30,
  charge_light = {intensity = 0.3, size = 7},
  discharge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-2-discharge-animation.png",
    width = 147,
    height = 128,
    line_length = 8,
    frame_count = 24,
    shift = {0.395, -0.525},
    animation_speed = 0.5
  },
  discharge_cooldown = 60,
  discharge_light = {intensity = 0.7, size = 7},
  working_sound =
  {
    sound =
    {
      filename = "__base__/sound/accumulator-working.ogg",
      volume = 1
    },
    idle_sound = {
      filename = "__base__/sound/accumulator-idle.ogg",
      volume = 0.4
    },
    max_sounds_per_type = 5
  },
},

{
  type = "accumulator",
  name = "storage-accumulator-mk-3",
  icon = "__increments__/graphics/icons/accumulator-mk-3.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "storage-accumulator-mk-3"},
  max_health = 200,
  fast_replaceable_group = "accumulator",
  corpse = "medium-remnants",
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1, -1}, {1, 1}},
  energy_source =
  {
    type = "electric",
    buffer_capacity = "75MJ",
    usage_priority = "terciary",
    input_flow_limit = "180kW",
    output_flow_limit = "180kW"
  },
  picture =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-3.png",
    priority = "extra-high",
    width = 124,
    height = 103,
    shift = {0.7, -0.2}
  },
  charge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-3-charge-animation.png",
    width = 138,
    height = 135,
    line_length = 8,
    frame_count = 24,
    shift = {0.482, -0.638},
    animation_speed = 0.5
  },
  charge_cooldown = 30,
  charge_light = {intensity = 0.3, size = 7},
  discharge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-3-discharge-animation.png",
    width = 147,
    height = 128,
    line_length = 8,
    frame_count = 24,
    shift = {0.395, -0.525},
    animation_speed = 0.5
  },
  discharge_cooldown = 60,
  discharge_light = {intensity = 0.7, size = 7},
  working_sound =
  {
    sound =
    {
      filename = "__base__/sound/accumulator-working.ogg",
      volume = 1
    },
    idle_sound = {
      filename = "__base__/sound/accumulator-idle.ogg",
      volume = 0.4
    },
    max_sounds_per_type = 5
  },
},

{
  type = "accumulator",
  name = "storage-accumulator-mk-4",
  icon = "__increments__/graphics/icons/accumulator-mk-4.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "storage-accumulator-mk-4"},
  max_health = 225,
  fast_replaceable_group = "accumulator",
  corpse = "medium-remnants",
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1, -1}, {1, 1}},
  energy_source =
  {
    type = "electric",
    buffer_capacity = "100MJ",
    usage_priority = "terciary",
    input_flow_limit = "240kW",
    output_flow_limit = "240kW"
  },
  picture =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-4.png",
    priority = "extra-high",
    width = 124,
    height = 103,
    shift = {0.7, -0.2}
  },
  charge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-4-charge-animation.png",
    width = 138,
    height = 135,
    line_length = 8,
    frame_count = 24,
    shift = {0.482, -0.638},
    animation_speed = 0.5
  },
  charge_cooldown = 30,
  charge_light = {intensity = 0.3, size = 7},
  discharge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-4-discharge-animation.png",
    width = 147,
    height = 128,
    line_length = 8,
    frame_count = 24,
    shift = {0.395, -0.525},
    animation_speed = 0.5
  },
  discharge_cooldown = 60,
  discharge_light = {intensity = 0.7, size = 7},
  working_sound =
  {
    sound =
    {
      filename = "__base__/sound/accumulator-working.ogg",
      volume = 1
    },
    idle_sound = {
      filename = "__base__/sound/accumulator-idle.ogg",
      volume = 0.4
    },
    max_sounds_per_type = 5
  },
},

{
  type = "accumulator",
  name = "storage-accumulator-mk-5",
  icon = "__increments__/graphics/icons/accumulator-mk-5.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "storage-accumulator-mk-5"},
  max_health = 250,
  fast_replaceable_group = "accumulator",
  corpse = "medium-remnants",
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1, -1}, {1, 1}},
  energy_source =
  {
    type = "electric",
    buffer_capacity = "125MJ",
    usage_priority = "terciary",
    input_flow_limit = "300kW",
    output_flow_limit = "300kW"
  },
  picture =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-5.png",
    priority = "extra-high",
    width = 124,
    height = 103,
    shift = {0.7, -0.2}
  },
  charge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-5-charge-animation.png",
    width = 138,
    height = 135,
    line_length = 8,
    frame_count = 24,
    shift = {0.482, -0.638},
    animation_speed = 0.5
  },
  charge_cooldown = 30,
  charge_light = {intensity = 0.3, size = 7},
  discharge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-5-discharge-animation.png",
    width = 147,
    height = 128,
    line_length = 8,
    frame_count = 24,
    shift = {0.395, -0.525},
    animation_speed = 0.5
  },
  discharge_cooldown = 60,
  discharge_light = {intensity = 0.7, size = 7},
  working_sound =
  {
    sound =
    {
      filename = "__base__/sound/accumulator-working.ogg",
      volume = 1
    },
    idle_sound = {
      filename = "__base__/sound/accumulator-idle.ogg",
      volume = 0.4
    },
    max_sounds_per_type = 5
  },
},

{
  type = "accumulator",
  name = "storage-accumulator-mk-6",
  icon = "__increments__/graphics/icons/accumulator-mk-6.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "storage-accumulator-mk-6"},
  max_health = 275,
  fast_replaceable_group = "accumulator",
  corpse = "medium-remnants",
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1, -1}, {1, 1}},
  energy_source =
  {
    type = "electric",
    buffer_capacity = "150MJ",
    usage_priority = "terciary",
    input_flow_limit = "360kW",
    output_flow_limit = "360kW"
  },
  picture =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-6.png",
    priority = "extra-high",
    width = 124,
    height = 103,
    shift = {0.7, -0.2}
  },
  charge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-6-charge-animation.png",
    width = 138,
    height = 135,
    line_length = 8,
    frame_count = 24,
    shift = {0.482, -0.638},
    animation_speed = 0.5
  },
  charge_cooldown = 30,
  charge_light = {intensity = 0.3, size = 7},
  discharge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-6-discharge-animation.png",
    width = 147,
    height = 128,
    line_length = 8,
    frame_count = 24,
    shift = {0.395, -0.525},
    animation_speed = 0.5
  },
  discharge_cooldown = 60,
  discharge_light = {intensity = 0.7, size = 7},
  working_sound =
  {
    sound =
    {
      filename = "__base__/sound/accumulator-working.ogg",
      volume = 1
    },
    idle_sound = {
      filename = "__base__/sound/accumulator-idle.ogg",
      volume = 0.4
    },
    max_sounds_per_type = 5
  },
},

{
  type = "accumulator",
  name = "storage-accumulator-mk-7",
  icon = "__increments__/graphics/icons/accumulator-mk-7.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "storage-accumulator-mk-7"},
  max_health = 300,
  fast_replaceable_group = "accumulator",
  corpse = "medium-remnants",
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1, -1}, {1, 1}},
  energy_source =
  {
    type = "electric",
    buffer_capacity = "175MJ",
    usage_priority = "terciary",
    input_flow_limit = "420kW",
    output_flow_limit = "420kW"
  },
  picture =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-7.png",
    priority = "extra-high",
    width = 124,
    height = 103,
    shift = {0.7, -0.2}
  },
  charge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-7-charge-animation.png",
    width = 138,
    height = 135,
    line_length = 8,
    frame_count = 24,
    shift = {0.482, -0.638},
    animation_speed = 0.5
  },
  charge_cooldown = 30,
  charge_light = {intensity = 0.3, size = 7},
  discharge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-7-discharge-animation.png",
    width = 147,
    height = 128,
    line_length = 8,
    frame_count = 24,
    shift = {0.395, -0.525},
    animation_speed = 0.5
  },
  discharge_cooldown = 60,
  discharge_light = {intensity = 0.7, size = 7},
  working_sound =
  {
    sound =
    {
      filename = "__base__/sound/accumulator-working.ogg",
      volume = 1
    },
    idle_sound = {
      filename = "__base__/sound/accumulator-idle.ogg",
      volume = 0.4
    },
    max_sounds_per_type = 5
  },
},

-- Entity Capacity Accumulator

{
  type = "accumulator",
  name = "capacity-accumulator",
  icon = "__base__/graphics/icons/basic-accumulator.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "capacity-accumulator"},
  max_health = 150,
  fast_replaceable_group = "accumulator",
  corpse = "medium-remnants",
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1, -1}, {1, 1}},
  energy_source =
  {
    type = "electric",
    buffer_capacity = "1MJ",
    usage_priority = "terciary",
    input_flow_limit = "1500kW",
    output_flow_limit = "1500kW"
  },
  picture =
  {
    filename = "__base__/graphics/entity/basic-accumulator/basic-accumulator.png",
    priority = "extra-high",
    width = 124,
    height = 103,
    shift = {0.7, -0.2}
  },
  charge_animation =
  {
    filename = "__base__/graphics/entity/basic-accumulator/basic-accumulator-charge-animation.png",
    width = 138,
    height = 135,
    line_length = 8,
    frame_count = 24,
    shift = {0.482, -0.638},
    animation_speed = 0.5
  },
  charge_cooldown = 30,
  charge_light = {intensity = 0.3, size = 7},
  discharge_animation =
  {
    filename = "__base__/graphics/entity/basic-accumulator/basic-accumulator-discharge-animation.png",
    width = 147,
    height = 128,
    line_length = 8,
    frame_count = 24,
    shift = {0.395, -0.525},
    animation_speed = 0.5
  },
  discharge_cooldown = 60,
  discharge_light = {intensity = 0.7, size = 7},
  working_sound =
  {
    sound =
    {
      filename = "__base__/sound/accumulator-working.ogg",
      volume = 1
    },
    idle_sound = {
      filename = "__base__/sound/accumulator-idle.ogg",
      volume = 0.4
    },
    max_sounds_per_type = 5
  },
},

{
  type = "accumulator",
  name = "capacity-accumulator-mk-2",
  icon = "__increments__/graphics/icons/accumulator-mk-2.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "capacity-accumulator-mk-2"},
  max_health = 175,
  fast_replaceable_group = "accumulator",
  corpse = "medium-remnants",
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1, -1}, {1, 1}},
  energy_source =
  {
    type = "electric",
    buffer_capacity = "2MJ",
    usage_priority = "terciary",
    input_flow_limit = "3000kW",
    output_flow_limit = "3000kW"
  },
  picture =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-2.png",
    priority = "extra-high",
    width = 124,
    height = 103,
    shift = {0.7, -0.2}
  },
  charge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-2-charge-animation.png",
    width = 138,
    height = 135,
    line_length = 8,
    frame_count = 24,
    shift = {0.482, -0.638},
    animation_speed = 0.5
  },
  charge_cooldown = 30,
  charge_light = {intensity = 0.3, size = 7},
  discharge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-2-discharge-animation.png",
    width = 147,
    height = 128,
    line_length = 8,
    frame_count = 24,
    shift = {0.395, -0.525},
    animation_speed = 0.5
  },
  discharge_cooldown = 60,
  discharge_light = {intensity = 0.7, size = 7},
  working_sound =
  {
    sound =
    {
      filename = "__base__/sound/accumulator-working.ogg",
      volume = 1
    },
    idle_sound = {
      filename = "__base__/sound/accumulator-idle.ogg",
      volume = 0.4
    },
    max_sounds_per_type = 5
  },
},

{
  type = "accumulator",
  name = "capacity-accumulator-mk-3",
  icon = "__increments__/graphics/icons/accumulator-mk-3.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "capacity-accumulator-mk-3"},
  max_health = 200,
  fast_replaceable_group = "accumulator",
  corpse = "medium-remnants",
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1, -1}, {1, 1}},
  energy_source =
  {
    type = "electric",
    buffer_capacity = "3MJ",
    usage_priority = "terciary",
    input_flow_limit = "4500kW",
    output_flow_limit = "4500kW"
  },
  picture =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-3.png",
    priority = "extra-high",
    width = 124,
    height = 103,
    shift = {0.7, -0.2}
  },
  charge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-3-charge-animation.png",
    width = 138,
    height = 135,
    line_length = 8,
    frame_count = 24,
    shift = {0.482, -0.638},
    animation_speed = 0.5
  },
  charge_cooldown = 30,
  charge_light = {intensity = 0.3, size = 7},
  discharge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-3-discharge-animation.png",
    width = 147,
    height = 128,
    line_length = 8,
    frame_count = 24,
    shift = {0.395, -0.525},
    animation_speed = 0.5
  },
  discharge_cooldown = 60,
  discharge_light = {intensity = 0.7, size = 7},
  working_sound =
  {
    sound =
    {
      filename = "__base__/sound/accumulator-working.ogg",
      volume = 1
    },
    idle_sound = {
      filename = "__base__/sound/accumulator-idle.ogg",
      volume = 0.4
    },
    max_sounds_per_type = 5
  },
},

{
  type = "accumulator",
  name = "capacity-accumulator-mk-4",
  icon = "__increments__/graphics/icons/accumulator-mk-4.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "capacity-accumulator-mk-4"},
  max_health = 225,
  fast_replaceable_group = "accumulator",
  corpse = "medium-remnants",
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1, -1}, {1, 1}},
  energy_source =
  {
    type = "electric",
    buffer_capacity = "4MJ",
    usage_priority = "terciary",
    input_flow_limit = "6000kW",
    output_flow_limit = "6000kW"
  },
  picture =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-4.png",
    priority = "extra-high",
    width = 124,
    height = 103,
    shift = {0.7, -0.2}
  },
  charge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-4-charge-animation.png",
    width = 138,
    height = 135,
    line_length = 8,
    frame_count = 24,
    shift = {0.482, -0.638},
    animation_speed = 0.5
  },
  charge_cooldown = 30,
  charge_light = {intensity = 0.3, size = 7},
  discharge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-4-discharge-animation.png",
    width = 147,
    height = 128,
    line_length = 8,
    frame_count = 24,
    shift = {0.395, -0.525},
    animation_speed = 0.5
  },
  discharge_cooldown = 60,
  discharge_light = {intensity = 0.7, size = 7},
  working_sound =
  {
    sound =
    {
      filename = "__base__/sound/accumulator-working.ogg",
      volume = 1
    },
    idle_sound = {
      filename = "__base__/sound/accumulator-idle.ogg",
      volume = 0.4
    },
    max_sounds_per_type = 5
  },
},

{
  type = "accumulator",
  name = "capacity-accumulator-mk-5",
  icon = "__increments__/graphics/icons/accumulator-mk-5.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "capacity-accumulator-mk-5"},
  max_health = 250,
  fast_replaceable_group = "accumulator",
  corpse = "medium-remnants",
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1, -1}, {1, 1}},
  energy_source =
  {
    type = "electric",
    buffer_capacity = "5MJ",
    usage_priority = "terciary",
    input_flow_limit = "7500kW",
    output_flow_limit = "7500kW"
  },
  picture =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-5.png",
    priority = "extra-high",
    width = 124,
    height = 103,
    shift = {0.7, -0.2}
  },
  charge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-5-charge-animation.png",
    width = 138,
    height = 135,
    line_length = 8,
    frame_count = 24,
    shift = {0.482, -0.638},
    animation_speed = 0.5
  },
  charge_cooldown = 30,
  charge_light = {intensity = 0.3, size = 7},
  discharge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-5-discharge-animation.png",
    width = 147,
    height = 128,
    line_length = 8,
    frame_count = 24,
    shift = {0.395, -0.525},
    animation_speed = 0.5
  },
  discharge_cooldown = 60,
  discharge_light = {intensity = 0.7, size = 7},
  working_sound =
  {
    sound =
    {
      filename = "__base__/sound/accumulator-working.ogg",
      volume = 1
    },
    idle_sound = {
      filename = "__base__/sound/accumulator-idle.ogg",
      volume = 0.4
    },
    max_sounds_per_type = 5
  },
},

{
  type = "accumulator",
  name = "capacity-accumulator-mk-6",
  icon = "__increments__/graphics/icons/accumulator-mk-6.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "capacity-accumulator-mk-6"},
  max_health = 275,
  fast_replaceable_group = "accumulator",
  corpse = "medium-remnants",
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1, -1}, {1, 1}},
  energy_source =
  {
    type = "electric",
    buffer_capacity = "6MJ",
    usage_priority = "terciary",
    input_flow_limit = "9000kW",
    output_flow_limit = "9000kW"
  },
  picture =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-6.png",
    priority = "extra-high",
    width = 124,
    height = 103,
    shift = {0.7, -0.2}
  },
  charge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-6-charge-animation.png",
    width = 138,
    height = 135,
    line_length = 8,
    frame_count = 24,
    shift = {0.482, -0.638},
    animation_speed = 0.5
  },
  charge_cooldown = 30,
  charge_light = {intensity = 0.3, size = 7},
  discharge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-6-discharge-animation.png",
    width = 147,
    height = 128,
    line_length = 8,
    frame_count = 24,
    shift = {0.395, -0.525},
    animation_speed = 0.5
  },
  discharge_cooldown = 60,
  discharge_light = {intensity = 0.7, size = 7},
  working_sound =
  {
    sound =
    {
      filename = "__base__/sound/accumulator-working.ogg",
      volume = 1
    },
    idle_sound = {
      filename = "__base__/sound/accumulator-idle.ogg",
      volume = 0.4
    },
    max_sounds_per_type = 5
  },
},

{
  type = "accumulator",
  name = "capacity-accumulator-mk-7",
  icon = "__increments__/graphics/icons/accumulator-mk-7.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "capacity-accumulator-mk-7"},
  max_health = 300,
  fast_replaceable_group = "accumulator",
  corpse = "medium-remnants",
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1, -1}, {1, 1}},
  energy_source =
  {
    type = "electric",
    buffer_capacity = "7MJ",
    usage_priority = "terciary",
    input_flow_limit = "10500kW",
    output_flow_limit = "10500kW"
  },
  picture =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-7.png",
    priority = "extra-high",
    width = 124,
    height = 103,
    shift = {0.7, -0.2}
  },
  charge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-7-charge-animation.png",
    width = 138,
    height = 135,
    line_length = 8,
    frame_count = 24,
    shift = {0.482, -0.638},
    animation_speed = 0.5
  },
  charge_cooldown = 30,
  charge_light = {intensity = 0.3, size = 7},
  discharge_animation =
  {
    filename = "__increments__/graphics/entity/accumulator-mk-7-discharge-animation.png",
    width = 147,
    height = 128,
    line_length = 8,
    frame_count = 24,
    shift = {0.395, -0.525},
    animation_speed = 0.5
  },
  discharge_cooldown = 60,
  discharge_light = {intensity = 0.7, size = 7},
  working_sound =
  {
    sound =
    {
      filename = "__base__/sound/accumulator-working.ogg",
      volume = 1
    },
    idle_sound = {
      filename = "__base__/sound/accumulator-idle.ogg",
      volume = 0.4
    },
    max_sounds_per_type = 5
  },
},


-- Item Accumulator
{
  type = "item",
  name = "accumulator-mk-2",
  icon = "__increments__/graphics/icons/accumulator-mk-2.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "e[accumulator]-b[accumulator-mk-2]",
  place_result = "accumulator-mk-2",
  stack_size = 50
},

{
  type = "item",
  name = "accumulator-mk-3",
  icon = "__increments__/graphics/icons/accumulator-mk-3.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "e[accumulator]-b[accumulator-mk-3]",
  place_result = "accumulator-mk-3",
  stack_size = 50
},

{
  type = "item",
  name = "accumulator-mk-4",
  icon = "__increments__/graphics/icons/accumulator-mk-4.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "e[accumulator]-b[accumulator-mk-4]",
  place_result = "accumulator-mk-4",
  stack_size = 50
},

{
  type = "item",
  name = "accumulator-mk-5",
  icon = "__increments__/graphics/icons/accumulator-mk-5.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "e[accumulator]-b[accumulator-mk-5]",
  place_result = "accumulator-mk-5",
  stack_size = 50
},

{
  type = "item",
  name = "accumulator-mk-6",
  icon = "__increments__/graphics/icons/accumulator-mk-6.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "e[accumulator]-b[accumulator-mk-6]",
  place_result = "accumulator-mk-6",
  stack_size = 50
},

{
  type = "item",
  name = "accumulator-mk-7",
  icon = "__increments__/graphics/icons/accumulator-mk-7.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "e[accumulator]-b[accumulator-mk-7]",
  place_result = "accumulator-mk-7",
  stack_size = 50
},

-- Item  Storage Accumulator
{
  type = "item",
  name = "storage-accumulator",
  icon = "__base__/graphics/icons/basic-accumulator.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "e[accumulator]-c[storage-accumulator]",
  place_result = "storage-accumulator",
  stack_size = 50
},

{
  type = "item",
  name = "storage-accumulator-mk-2",
  icon = "__increments__/graphics/icons/accumulator-mk-2.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "e[accumulator]-c[storage-accumulator-mk-2]",
  place_result = "storage-accumulator-mk-2",
  stack_size = 50
},

{
  type = "item",
  name = "storage-accumulator-mk-3",
  icon = "__increments__/graphics/icons/accumulator-mk-3.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "e[accumulator]-c[storage-accumulator-mk-3]",
  place_result = "storage-accumulator-mk-3",
  stack_size = 50
},

{
  type = "item",
  name = "storage-accumulator-mk-4",
  icon = "__increments__/graphics/icons/accumulator-mk-4.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "e[accumulator]-c[storage-accumulator-mk-4]",
  place_result = "storage-accumulator-mk-4",
  stack_size = 50
},

{
  type = "item",
  name = "storage-accumulator-mk-5",
  icon = "__increments__/graphics/icons/accumulator-mk-5.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "e[accumulator]-c[storage-accumulator-mk-5]",
  place_result = "storage-accumulator-mk-5",
  stack_size = 50
},

{
  type = "item",
  name = "storage-accumulator-mk-6",
  icon = "__increments__/graphics/icons/accumulator-mk-6.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "e[accumulator]-c[storage-accumulator-mk-6]",
  place_result = "storage-accumulator-mk-6",
  stack_size = 50
},

{
  type = "item",
  name = "storage-accumulator-mk-7",
  icon = "__increments__/graphics/icons/accumulator-mk-7.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "e[accumulator]-c[storage-accumulator-mk-7]",
  place_result = "storage-accumulator-mk-7",
  stack_size = 50
},

-- Item Capacity Accumulator
{
  type = "item",
  name = "capacity-accumulator",
  icon = "__base__/graphics/icons/basic-accumulator.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "e[accumulator]-d[capacity-accumulator]",
  place_result = "capacity-accumulator",
  stack_size = 50
},

{
  type = "item",
  name = "capacity-accumulator-mk-2",
  icon = "__increments__/graphics/icons/accumulator-mk-2.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "e[accumulator]-d[capacity-accumulator-mk-2]",
  place_result = "capacity-accumulator-mk-2",
  stack_size = 50
},

{
  type = "item",
  name = "capacity-accumulator-mk-3",
  icon = "__increments__/graphics/icons/accumulator-mk-3.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "e[accumulator]-d[capacity-accumulator-mk-3]",
  place_result = "capacity-accumulator-mk-3",
  stack_size = 50
},

{
  type = "item",
  name = "capacity-accumulator-mk-4",
  icon = "__increments__/graphics/icons/accumulator-mk-4.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "e[accumulator]-d[capacity-accumulator-mk-4]",
  place_result = "capacity-accumulator-mk-4",
  stack_size = 50
},

{
  type = "item",
  name = "capacity-accumulator-mk-5",
  icon = "__increments__/graphics/icons/accumulator-mk-5.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "e[accumulator]-d[capacity-accumulator-mk-5]",
  place_result = "capacity-accumulator-mk-5",
  stack_size = 50
},

{
  type = "item",
  name = "capacity-accumulator-mk-6",
  icon = "__increments__/graphics/icons/accumulator-mk-6.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "e[accumulator]-d[capacity-accumulator-mk-6]",
  place_result = "capacity-accumulator-mk-6",
  stack_size = 50
},

{
  type = "item",
  name = "capacity-accumulator-mk-7",
  icon = "__increments__/graphics/icons/accumulator-mk-7.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "e[accumulator]-d[capacity-accumulator-mk-7]",
  place_result = "capacity-accumulator-mk-7",
  stack_size = 50
},

-- Recipe Accumulator
{
  type = "recipe",
  name = "accumulator-mk-2",
  energy_required = 10,
  enabled = "false",
  ingredients =
  {
	{"basic-accumulator", 2},
    {"steel-plate", 10},
    {"battery", 10},
	{"copper-cable", 10}
  },
  result = "accumulator-mk-2"
},

{
  type = "recipe",
  name = "accumulator-mk-3",
  energy_required = 10,
  enabled = "false",
  ingredients =
  {
	{"accumulator-mk-2", 2},
    {"steel-plate", 20},
    {"battery", 20},
	{"bundled-wire", 20}
  },
  result = "accumulator-mk-3"
},
{
  type = "recipe",
  name = "accumulator-mk-4",
  energy_required = 10,
  enabled = "false",
  ingredients =
  {
	{"accumulator-mk-3", 2},
    {"steel-plate", 30},
    {"battery", 30},
	{"bundled-wire", 30},
	{"alien-artifact", 30}
  },
  result = "accumulator-mk-4"
},

{
  type = "recipe",
  name = "accumulator-mk-5",
  energy_required = 10,
  enabled = "false",
  ingredients =
  {
	{"accumulator-mk-4", 2},
    {"steel-plate", 40},
    {"battery", 40},
	{"bundled-wire", 40},
	{"alien-artifact", 40}
  },
  result = "accumulator-mk-5"
},

{
  type = "recipe",
  name = "accumulator-mk-6",
  energy_required = 10,
  enabled = "false",
  ingredients =
  {
	{"accumulator-mk-5", 2},
    {"steel-plate", 50},
    {"battery", 50},
	{"bundled-wire", 50},
	{"alien-artifact", 50}
  },
  result = "accumulator-mk-6"
},

{
  type = "recipe",
  name = "accumulator-mk-7",
  energy_required = 10,
  enabled = "false",
  ingredients =
  {
	{"accumulator-mk-6", 2},
    {"steel-plate", 60},
    {"battery", 60},
	{"bundled-wire", 60},
	{"alien-artifact", 60}
  },
  result = "accumulator-mk-7"
},

-- Recipe Storage Accumulator
{
  type = "recipe",
  name = "storage-accumulator",
  energy_required = 10,
  enabled = "false",
  ingredients =
  {
    {"iron-plate", 2},
	{"battery", 10},
	{"productivity-module", 2}
  },
  result = "storage-accumulator"
},

{
  type = "recipe",
  name = "storage-accumulator-mk-2",
  energy_required = 10,
  enabled = "false",
  ingredients =
  {
	{"storage-accumulator", 2},
    {"productivity-module", 5},
    {"steel-plate", 10},
    {"battery", 10},
	{"copper-cable", 10}
  },
  result = "storage-accumulator-mk-2"
},

{
  type = "recipe",
  name = "storage-accumulator-mk-3",
  energy_required = 10,
  enabled = "false",
  ingredients =
  {
	{"storage-accumulator-mk-2", 2},
    {"productivity-module-2", 2},
    {"steel-plate", 20},
    {"battery", 20},
	{"bundled-wire", 20}
  },
  result = "storage-accumulator-mk-3"
},

{
  type = "recipe",
  name = "storage-accumulator-mk-4",
  energy_required = 10,
  enabled = "false",
  ingredients =
  {
	{"storage-accumulator-mk-3", 2},
    {"productivity-module-2", 5},
    {"steel-plate", 30},
    {"battery", 30},
	{"bundled-wire", 30},
	{"alien-artifact", 30}
  },
  result = "storage-accumulator-mk-4"
},

{
  type = "recipe",
  name = "storage-accumulator-mk-5",
  energy_required = 10,
  enabled = "false",
  ingredients =
  {
	{"storage-accumulator-mk-4", 2},
    {"productivity-module-3", 2},
    {"steel-plate", 40},
    {"battery", 40},
	{"bundled-wire", 40},
	{"alien-artifact", 40}
  },
  result = "storage-accumulator-mk-5"
},

{
  type = "recipe",
  name = "storage-accumulator-mk-6",
  energy_required = 10,
  enabled = "false",
  ingredients =
  {
	{"storage-accumulator-mk-5", 2},
    {"productivity-module-3", 5},
    {"steel-plate", 50},
    {"battery", 50},
	{"bundled-wire", 50},
	{"alien-artifact", 50}
  },
  result = "storage-accumulator-mk-6"
},

{
  type = "recipe",
  name = "storage-accumulator-mk-7",
  energy_required = 10,
  enabled = "false",
  ingredients =
  {
	{"storage-accumulator-mk-6", 2},
    {"productivity-module-3", 10},
	{"steel-plate", 60},
    {"battery", 60},
	{"bundled-wire", 60},
	{"alien-artifact", 60}
  },
  result = "storage-accumulator-mk-7"
},

-- Recipe Capacity Accumulator
{
  type = "recipe",
  name = "capacity-accumulator",
  energy_required = 10,
  enabled = "false",
  ingredients =
    {
	  {"speed-module", 2},
      {"iron-plate", 2},
      {"battery", 5}
    },
  result = "capacity-accumulator"
},

{
  type = "recipe",
  name = "capacity-accumulator-mk-2",
  energy_required = 10,
  enabled = "false",
  ingredients =
  {
	{"capacity-accumulator", 2},
    {"speed-module", 5},
	{"steel-plate", 10},
    {"battery", 10},
	{"copper-cable", 10}
  },
  result = "capacity-accumulator-mk-2"
},

{
  type = "recipe",
  name = "capacity-accumulator-mk-3",
  energy_required = 10,
  enabled = "false",
  ingredients =
  {
	{"capacity-accumulator-mk-2", 2},
    {"speed-module-2", 2},
	{"steel-plate", 20},
    {"battery", 20},
	{"bundled-wire", 20}
  },
  result = "capacity-accumulator-mk-3"
},
{
  type = "recipe",
  name = "capacity-accumulator-mk-4",
  energy_required = 10,
  enabled = "false",
  ingredients =
  {
	{"capacity-accumulator-mk-3", 2},
    {"speed-module-2", 5},
	{"steel-plate", 30},
    {"battery", 30},
	{"bundled-wire", 30},
	{"alien-artifact", 30}
  },
  result = "capacity-accumulator-mk-4"
},

{
  type = "recipe",
  name = "capacity-accumulator-mk-5",
  energy_required = 10,
  enabled = "false",
  ingredients =
  {
	{"capacity-accumulator-mk-4", 2},
    {"speed-module-3", 2},
	{"steel-plate", 40},
    {"battery", 40},
	{"bundled-wire", 40},
	{"alien-artifact", 40}
  },
  result = "capacity-accumulator-mk-5"
},

{
  type = "recipe",
  name = "capacity-accumulator-mk-6",
  energy_required = 10,
  enabled = "false",
  ingredients =
  {
	{"capacity-accumulator-mk-5", 2},
    {"speed-module-3", 5},
	{"steel-plate", 50},
    {"battery", 50},
	{"bundled-wire", 50},
	{"alien-artifact", 50}
  },
  result = "capacity-accumulator-mk-6"
},

{
  type = "recipe",
  name = "capacity-accumulator-mk-7",
  energy_required = 10,
  enabled = "false",
  ingredients =
  {
	{"capacity-accumulator-mk-6", 2},
    {"speed-module-3", 10},
	{"steel-plate", 60},
    {"battery", 60},
	{"bundled-wire", 60},
	{"alien-artifact", 60}
  },
  result = "capacity-accumulator-mk-7"
},

-- Technology
{
  type = "technology",
  name = "electric-energy-accumulators-2",
  upgrade = true,
  icon = "__base__/graphics/technology/electric-energy-acumulators.png",
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "accumulator-mk-2"
    },
	{
      type = "unlock-recipe",
      recipe = "storage-accumulator-mk-2"
    },
	{
      type = "unlock-recipe",
      recipe = "capacity-accumulator-mk-2"
    }
  },
  prerequisites = {"electric-energy-accumulators-1"},
  unit =
  {
    count = 100,
    ingredients =
    {
      {"science-pack-1", 1},
      {"science-pack-2", 1},
	  {"science-pack-3", 1}
    },
    time = 30
  },
  order = "c-e-a",
},
{
  type = "technology",
  name = "electric-energy-accumulators-3",
  upgrade = true,
  icon = "__base__/graphics/technology/electric-energy-acumulators.png",
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "accumulator-mk-3"
    },
	{
      type = "unlock-recipe",
      recipe = "storage-accumulator-mk-3"
    },
	{
      type = "unlock-recipe",
      recipe = "capacity-accumulator-mk-3"
    }
  },
  prerequisites = {"electric-energy-accumulators-2"},
  unit =
  {
    count = 200,
    ingredients =
    {
      {"science-pack-1", 2},
      {"science-pack-2", 2},
	  {"science-pack-3", 1}
    },
    time = 30
  },
  order = "c-e-a",
},
{
  type = "technology",
  name = "electric-energy-accumulators-4",
  upgrade = true,
  icon = "__base__/graphics/technology/electric-energy-acumulators.png",
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "accumulator-mk-4"
    },
	{
      type = "unlock-recipe",
      recipe = "storage-accumulator-mk-4"
    },
	{
      type = "unlock-recipe",
      recipe = "capacity-accumulator-mk-4"
    }
  },
  prerequisites = {"electric-energy-accumulators-3"},
  unit =
  {
    count = 200,
    ingredients =
    {
      {"science-pack-1", 3},
      {"science-pack-2", 3},
	  {"science-pack-3", 2},
	  {"alien-science-pack", 1}
    },
    time = 30
  },
  order = "c-e-a",
},
{
  type = "technology",
  name = "electric-energy-accumulators-5",
  upgrade = true,
  icon = "__base__/graphics/technology/electric-energy-acumulators.png",
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "accumulator-mk-5"
    },
	{
      type = "unlock-recipe",
      recipe = "storage-accumulator-mk-5"
    },
	{
      type = "unlock-recipe",
      recipe = "capacity-accumulator-mk-5"
    }
  },
  prerequisites = {"electric-energy-accumulators-4"},
  unit =
  {
    count = 300,
    ingredients =
    {
      {"science-pack-1", 3},
      {"science-pack-2", 3},
	  {"science-pack-3", 2},
	  {"alien-science-pack", 1}
	  
    },
    time = 30
  },
  order = "c-e-a",
},

{
  type = "technology",
  name = "electric-energy-accumulators-6",
  upgrade = true,
  icon = "__base__/graphics/technology/electric-energy-acumulators.png",
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "accumulator-mk-6"
    },
	{
      type = "unlock-recipe",
      recipe = "storage-accumulator-mk-6"
    },
	{
      type = "unlock-recipe",
      recipe = "capacity-accumulator-mk-6"
    }
  },
  prerequisites = {"electric-energy-accumulators-5"},
  unit =
  {
    count = 300,
    ingredients =
    {
      {"science-pack-1", 4},
      {"science-pack-2", 4},
	  {"science-pack-3", 3},
	  {"alien-science-pack", 2}
    },
    time = 30
  },
  order = "c-e-a",
},

{
  type = "technology",
  name = "electric-energy-accumulators-7",
  upgrade = true,
  icon = "__base__/graphics/technology/electric-energy-acumulators.png",
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "accumulator-mk-7"
    },
	{
      type = "unlock-recipe",
      recipe = "storage-accumulator-mk-7"
    },
	{
      type = "unlock-recipe",
      recipe = "capacity-accumulator-mk-7"
    }
	
  },
  prerequisites = {"electric-energy-accumulators-6"},
  unit =
  {
    count = 400,
    ingredients =
    {
      {"science-pack-1", 5},
      {"science-pack-2", 5},
	  {"science-pack-3", 4},
	  {"alien-science-pack", 3}
    },
    time = 30
  },
  order = "c-e-a",
}

})