data:extend({

--ENTITY chemical-plant-mk2
{
  type = "assembling-machine",
  name = "chemical-plant-2",
  icon = "__increments__/graphics/icons/chemical-plant-2.png",
  flags = {"placeable-neutral","placeable-player", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "chemical-plant-2"},
  max_health = 350,
  corpse = "big-remnants",
  dying_explosion = "huge-explosion",
  collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
  selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
  module_slots = 3,
  fast_replaceable_group = "chemical-plant",
  allowed_effects = {"consumption", "speed", "productivity", "pollution"},
  animation =
  {
    north =
    {
      filename = "__increments__/graphics/entity/chemical-plant-2.png",
      width = 156,
      height = 141,
      frame_count = 1,
      shift = {0.5, -0.078125}
    },
    west =
    {
      filename = "__increments__/graphics/entity/chemical-plant-2.png",
      x = 156,
      width = 156,
      height = 141,
      frame_count = 1,
      shift = {0.5, -0.078125}
    },
    south =
    {
      filename = "__increments__/graphics/entity/chemical-plant-2.png",
      x = 312,
      width = 156,
      height = 141,
      frame_count = 1,
      shift = {0.5, -0.078125}
    },
    east =
    {
      filename = "__increments__/graphics/entity/chemical-plant-2.png",
      x = 468,
      width = 156,
      height = 141,
      frame_count = 1,
      shift = {0.5, -0.078125}
    }
  },
  working_visualisations =
  {
    {
      north_position = {0.94, -0.73},
      west_position = {-0.3, 0.02},
      south_position = {-0.97, -1.47},
      east_position = {0.05, -1.46},
      animation =
      {
        filename = "__base__/graphics/entity/chemical-plant/boiling-green-patch.png",
        frame_count = 35,
        width = 17,
        height = 12,
        animation_speed = 0.15
      }
    },
    {
      north_position = {1.4, -0.23},
      west_position = {-0.3, 0.55},
      south_position = {-1, -1},
      east_position = {0.05, -0.96},
      north_animation =
      {
        filename = "__base__/graphics/entity/chemical-plant/boiling-window-green-patch.png",
        frame_count = 1,
        width = 21,
        height = 10
      },
      west_animation =
      {
        filename = "__base__/graphics/entity/chemical-plant/boiling-window-green-patch.png",
        x = 21,
        frame_count = 1,
        width = 21,
        height = 10
      },
      south_animation =
      {
        filename = "__base__/graphics/entity/chemical-plant/boiling-window-green-patch.png",
        x = 42,
        frame_count = 1,
        width = 21,
        height = 10
      }
    }
  },
  working_sound =
  {
    sound = 
	{
      {
        filename = "__base__/sound/chemical-plant.ogg",
        volume = 0.8
      }
    },
    idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
    apparent_volume = 1.5,
  },
  crafting_speed = 1.50,
  energy_source =
  {
    type = "electric",
    usage_priority = "secondary-input",
    emissions = 0.03 / 3.5
  },
  energy_usage = "280kW",
  ingredient_count = 4,
  crafting_categories = {"chemistry"},
  fluid_boxes =
  {
    {
      production_type = "input",
      pipe_covers = pipecoverspictures(),
      base_area = 10,
      base_level = -1,
      pipe_connections = {{ type="input", position = {-1, -2} }}
    },
    {
      production_type = "input",
      pipe_covers = pipecoverspictures(),
      base_area = 10,
      base_level = -1,
      pipe_connections = {{ type="input", position = {1, -2} }}
    },
    {
      production_type = "output",
      pipe_covers = pipecoverspictures(),
      base_level = 1,
      pipe_connections = {{ position = {-1, 2} }}
    },
    {
      production_type = "output",
      pipe_covers = pipecoverspictures(),
      base_level = 1,
      pipe_connections = {{ position = {1, 2} }}
    }
  }
},

--ITEM
{
  type = "item",
  name = "chemical-plant-2",
  icon = "__increments__/graphics/icons/chemical-plant-2.png",
  flags = {"goes-to-quickbar"},
  subgroup = "production-machine",
  order = "f[chemical-plant-2]",
  place_result = "chemical-plant-2",
  stack_size = 10
},

--RECIPE
{
  type = "recipe",
  name = "chemical-plant-2",
  energy_required = 20,
  enabled = "false",
  ingredients =
  {
    {"chemical-plant", 1},
	{"bundled-wire", 5},
    {"steel-gear-wheel", 5},
    {"electronic-circuit", 20},
    {"steel-pipe", 10}
  },
  result= "chemical-plant-2"
},

--TECHNOLOGY
{
  type = "technology",
  name = "advanced-chemical-plant",
  icon = "__increments__/graphics/technology/advanced-chemical-plant.png",
  prerequisites = {"steel-processing-2", "advanced-oil-processing"},
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "chemical-plant-2"
    }
  },
  unit =
  {
    count = 75,
    ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}},
    time = 45
  },
  order = "d-b"
},

--ENTITY chemical-plant-mk3
{
  type = "assembling-machine",
  name = "chemical-plant-3",
  icon = "__increments__/graphics/icons/chemical-plant-3.png",
  flags = {"placeable-neutral","placeable-player", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "chemical-plant-3"},
  max_health = 400,
  corpse = "big-remnants",
  dying_explosion = "huge-explosion",
  collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
  selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
  module_slots = 4,
  fast_replaceable_group = "chemical-plant",
  allowed_effects = {"consumption", "speed", "productivity", "pollution"},
  animation =
  {
    north =
    {
      filename = "__increments__/graphics/entity/chemical-plant-3.png",
      width = 156,
      height = 141,
      frame_count = 1,
      shift = {0.5, -0.078125}
    },
    west =
    {
      filename = "__increments__/graphics/entity/chemical-plant-3.png",
      x = 156,
      width = 156,
      height = 141,
      frame_count = 1,
      shift = {0.5, -0.078125}
    },
    south =
    {
      filename = "__increments__/graphics/entity/chemical-plant-3.png",
      x = 312,
      width = 156,
      height = 141,
      frame_count = 1,
      shift = {0.5, -0.078125}
    },
    east =
    {
      filename = "__increments__/graphics/entity/chemical-plant-3.png",
      x = 468,
      width = 156,
      height = 141,
      frame_count = 1,
      shift = {0.5, -0.078125}
    }
  },
  working_visualisations =
  {
    {
      north_position = {0.94, -0.73},
      west_position = {-0.3, 0.02},
      south_position = {-0.97, -1.47},
      east_position = {0.05, -1.46},
      animation =
      {
        filename = "__base__/graphics/entity/chemical-plant/boiling-green-patch.png",
        frame_count = 35,
        width = 17,
        height = 12,
        animation_speed = 0.15
      }
    },
    {
      north_position = {1.4, -0.23},
      west_position = {-0.3, 0.55},
      south_position = {-1, -1},
      east_position = {0.05, -0.96},
      north_animation =
      {
        filename = "__base__/graphics/entity/chemical-plant/boiling-window-green-patch.png",
        frame_count = 1,
        width = 21,
        height = 10
      },
      west_animation =
      {
        filename = "__base__/graphics/entity/chemical-plant/boiling-window-green-patch.png",
        x = 21,
        frame_count = 1,
        width = 21,
        height = 10
      },
      south_animation =
      {
        filename = "__base__/graphics/entity/chemical-plant/boiling-window-green-patch.png",
        x = 42,
        frame_count = 1,
        width = 21,
        height = 10
      }
    }
  },
  working_sound =
  {
    sound = 
	{
      {
        filename = "__base__/sound/chemical-plant.ogg",
        volume = 0.8
      }
    },
    idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
    apparent_volume = 1.5,
  },
  crafting_speed = 2.00,
  energy_source =
  {
    type = "electric",
    usage_priority = "secondary-input",
    emissions = 0.03 / 3.5
  },
  energy_usage = "350kW",
  ingredient_count = 5,
  crafting_categories = {"chemistry"},
  fluid_boxes =
  {
    {
      production_type = "input",
      pipe_covers = pipecoverspictures(),
      base_area = 10,
      base_level = -1,
      pipe_connections = {{ type="input", position = {-1, -2} }}
    },
    {
      production_type = "input",
      pipe_covers = pipecoverspictures(),
      base_area = 10,
      base_level = -1,
      pipe_connections = {{ type="input", position = {1, -2} }}
    },
    {
      production_type = "output",
      pipe_covers = pipecoverspictures(),
      base_level = 1,
      pipe_connections = {{ position = {-1, 2} }}
    },
    {
      production_type = "output",
      pipe_covers = pipecoverspictures(),
      base_level = 1,
      pipe_connections = {{ position = {1, 2} }}
    }
  }
},

--ITEM
{
  type = "item",
  name = "chemical-plant-3",
  icon = "__increments__/graphics/icons/chemical-plant-3.png",
  flags = {"goes-to-quickbar"},
  subgroup = "production-machine",
  order = "g[chemical-plant-3]",
  place_result = "chemical-plant-3",
  stack_size = 10
},

--RECIPE
{
  type = "recipe",
  name = "chemical-plant-3",
  energy_required = 30,
  enabled = "false",
  ingredients =
  {
    {"chemical-plant-2", 1},
	{"bundled-wire", 10},
    {"steel-gear-wheel", 20},
    {"advanced-circuit", 10},
    {"steel-pipe", 10}
  },
  result= "chemical-plant-3"
},

--TECHNOLOGY
{
  type = "technology",
  name = "advanced-chemical-plant-2",
  icon = "__increments__/graphics/technology/advanced-chemical-plant.png",
  prerequisites = {"advanced-chemical-plant"},
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "chemical-plant-3"
    }
  },
  unit =
  {
    count = 75,
    ingredients = 
	{
	  {"science-pack-1", 1},
	  {"science-pack-2", 1},
	  {"science-pack-3", 1},
	  {"alien-science-pack", 1}
	},
    time = 60
  },
  order = "d-b"
}

})