data:extend(
{

--Electric Furnace Fast Entity
{
  type = "furnace",
  name = "electric-furnace-fast",
  icon = "__increments__/graphics/icons/electric-furnace-fast.png",
  flags = {"placeable-neutral", "placeable-player", "player-creation"},
  minable = {mining_time = 1, result = "electric-furnace-fast"},
  max_health = 150,
  corpse = "big-remnants",
  dying_explosion = "huge-explosion",
  light = {intensity = 1, size = 10},
  resistances = 
  {
    {
      type = "fire",
      percent = 80
    }
  },
  collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
  selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
--  module_slots = 2,
--  allowed_effects = {"consumption", "speed", "productivity", "pollution"},
  crafting_categories = {"smelting"},
  result_inventory_size = 2, 			-- result_inventory_size = 1,
  crafting_speed = 4,					-- crafting_speed = 2,
  energy_usage = "360kW",				-- energy_usage = "180kW",
  source_inventory_size = 2,			-- source_inventory_size = 1,
  energy_source =
  {
    type = "electric",
    usage_priority = "secondary-input",
    emissions = 0.005
  },
  working_sound =
  {
    sound =
    {
      filename = "__base__/sound/electric-furnace.ogg",
      volume = 0.7
    },
    apparent_volume = 1.5
  },
  animation =
  {
    filename = "__increments__/graphics/entity/electric-furnace-fast.png",
    priority = "high",
    width = 129,
    height = 100,
    frame_count = 1,
    shift = {0.421875, 0}
  },
  working_visualisations =
  {
    {
      animation =
      {
        filename = "__increments__/graphics/entity/electric-furnace-fast-heater.png",
        priority = "high",
        width = 25,
        height = 15,
        frame_count = 12,
        animation_speed = 0.5,
        shift = {0.015625, 0.890625}
      },
      light = {intensity = 0.4, size = 6, shift = {0.0, 1.0}}
    },
    {
      animation =
      {
        filename = "__base__/graphics/entity/electric-furnace/electric-furnace-propeller-1.png",
        priority = "high",
        width = 19,
        height = 13,
        frame_count = 4,
        animation_speed = 0.5,
        shift = {-0.671875, -0.640625}
      }
    },
    {
      animation =
      {
        filename = "__base__/graphics/entity/electric-furnace/electric-furnace-propeller-2.png",
        priority = "high",
        width = 12,
        height = 9,
        frame_count = 4,
        animation_speed = 0.5,
        shift = {0.0625, -1.234375}
      }
    }
  },
  fast_replaceable_group = "furnace"
},
  
--Item
{
  type = "item",
  name = "electric-furnace-fast",
  icon = "__increments__/graphics/icons/electric-furnace-fast.png",
  flags = {"goes-to-quickbar"},
  subgroup = "smelting-machine",
  order = "d[electric-furnace-fast]",
  place_result = "electric-furnace-fast",
  stack_size = 50
},
  
--Recipe
{
  type = "recipe",
  name = "electric-furnace-fast",
  ingredients = 
  {
    {"electric-furnace", 1}, 
    {"steel-plate", 15},
	{"processing-unit", 2},
	{"bundled-wire", 15},
	{"steel-gear-wheel", 5}
  },
  result = "electric-furnace-fast",
  energy_required = 20,
  enabled = "false"
},
  
-- Electric Furnace Module Entity
{
  type = "furnace",
  name = "electric-furnace-module",
  icon = "__increments__/graphics/icons/electric-furnace-module.png",
  flags = {"placeable-neutral", "placeable-player", "player-creation"},
  minable = {mining_time = 1, result = "electric-furnace-module"},
  max_health = 150,
  corpse = "big-remnants",
  dying_explosion = "huge-explosion",
  light = {intensity = 1, size = 10},
  resistances = 
  {
    {
      type = "fire",
      percent = 80
    }
  },
  collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
  selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
  module_slots = 9,													-- module_slots = 2,
  allowed_effects = {"consumption", "speed", "pollution"},			-- {"consumption", "speed", "productivity", "pollution"},
  crafting_categories = {"smelting"},
  result_inventory_size = 2, 										-- result_inventory_size = 1,
  crafting_speed = 1,												-- crafting_speed = 2,
  energy_usage = "270kW",											-- energy_usage = "180kW",
  source_inventory_size = 2,										-- source_inventory_size = 1,
  energy_source =
  {
    type = "electric",
    usage_priority = "secondary-input",
    emissions = 0.005
  },
  working_sound =
  {
    sound =
    {
      filename = "__base__/sound/electric-furnace.ogg",
      volume = 0.7
    },
    apparent_volume = 1.5
  },
  animation =
  {
    filename = "__increments__/graphics/entity/electric-furnace-module.png",
    priority = "high",
    width = 129,
    height = 100,
    frame_count = 1,
    shift = {0.421875, 0}
  },
  working_visualisations =
  {
    {
      animation =
      {
        filename = "__increments__/graphics/entity/electric-furnace-module-heater.png",
        priority = "high",
        width = 25,
        height = 15,
        frame_count = 12,
        animation_speed = 0.5,
        shift = {0.015625, 0.890625}
      },
      light = {intensity = 0.4, size = 6, shift = {0.0, 1.0}}
    },
    {
      animation =
      {
        filename = "__base__/graphics/entity/electric-furnace/electric-furnace-propeller-1.png",
        priority = "high",
        width = 19,
        height = 13,
        frame_count = 4,
        animation_speed = 0.5,
        shift = {-0.671875, -0.640625}
      }
    },
    {
      animation =
      {
        filename = "__base__/graphics/entity/electric-furnace/electric-furnace-propeller-2.png",
        priority = "high",
        width = 12,
        height = 9,
        frame_count = 4,
        animation_speed = 0.5,
        shift = {0.0625, -1.234375}
      }
    }
  },
  fast_replaceable_group = "furnace"
},
  
-- Electric Furnace Module Item
{
  type = "item",
  name = "electric-furnace-module",
  icon = "__increments__/graphics/icons/electric-furnace-module.png",
  flags = {"goes-to-quickbar"},
  subgroup = "smelting-machine",
  order = "e[electric-furnace-module]",
  place_result = "electric-furnace-module",
  stack_size = 50
},
  
-- Electric Furnace Module Recipe
{
  type = "recipe",
  name = "electric-furnace-module",
  ingredients = 
  {
    {"electric-furnace", 1},   
    {"steel-plate", 15},
	{"processing-unit", 5},
	{"bundled-wire", 15},
	{"steel-gear-wheel", 5}
  },
  result = "electric-furnace-module",
  energy_required = 20,
  enabled = "false"
},
  
-- Electric Furnace Technology  
  {
  type = "technology",
  name = "advanced-material-processing-3",
  icon = "__base__/graphics/technology/advanced-material-processing.png",
  upgrade = true,
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "electric-furnace-fast"
    },
	{
      type = "unlock-recipe",
      recipe = "electric-furnace-module"
    }
  },
  prerequisites = {"advanced-material-processing-2", "advanced-electronics-3"},
  unit =
  {
    count = 200,
    ingredients =
    {
      {"science-pack-1", 3},
      {"science-pack-2", 2},
      {"science-pack-3", 1}
	},
    time = 45
  },
  order = "c-c-b"
}

})