data:extend({

--ENTITY
{
  type = "furnace",
  name = "grinder",
  icon = "__increments__/graphics/icons/grinder.png",
  flags = {"placeable-neutral", "placeable-player", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "grinder"},
  max_health = 150,
  corpse = "big-remnants",
  dying_explosion = "huge-explosion",
	resistances = 
    {
	  {
        type = "physical",
        percent = 100,
        decrease = 0
      },
	  {
        type = "fire",
	    percent = 100,
	    decrease = 0
      }
    },
	collision_box = {{ -0.8, -0.8}, {0.8, 0.8}},
	selection_box = {{ -1, -1}, {1, 1}},
	animation =
	{
	  filename = "__increments__/graphics/entity/grinder.png",
	  priority = "medium",
	  width = 65,
	  height = 78,
	  scale = 0.9,
	  frame_count = 11,
	  line_length = 11,
	  shift = {0.0, -0.0},
	  animation_speed = 0.8
	},
    crafting_categories = {"grinding"},
	module_slots = 3,
	allowed_effects = {"consumption", "speed", "pollution"},
	result_inventory_size = 1,
    source_inventory_size = 1,
    crafting_speed = 1,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.025
    },
    energy_usage = "360kW",
    ingredient_count = 1,
    working_sound =
    {
      sound = 
	  {
        {
          filename = "__base__/sound/assembling-machine-t1-1.ogg",
          volume = 0.8
        },
        {
          filename = "__base__/sound/assembling-machine-t1-2.ogg",
          volume = 0.8
        }
      },
    idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
    apparent_volume = 1.5,
    }
},

--ITEM
{
  type = "item",
  name = "grinder",
  icon = "__increments__/graphics/icons/grinder.png",
  flags = {"goes-to-quickbar"},
  subgroup = "smelting-machine",
  order = "d-a",
  place_result = "grinder",
  stack_size = 50
},

--RECIPE
{
  type = "recipe",
  name = "grinder",
  energy_required = 5.5,
  enabled = "false",
  ingredients =
  {
	{"steel-gear-wheel", 10},
    {"advanced-circuit", 20},
	{"alien-artifact", 10},
	{"steel-plate", 25}
  },
  result = "grinder"
},

--TECHNOLOGY
{
  type = "technology",
  name = "grinder",
  icon = "__increments__/graphics/technology/grinder.png",
  prerequisites = {"automation-2", "steel-processing-2"},
  effects =
  {
	{
      type = "unlock-recipe",
      recipe = "grinder"
	}
  },		 
  unit =
  {
    count = 100,
    ingredients = 
	{
	  {"science-pack-1", 2},
	  {"science-pack-2", 1}
	},
    time = 30
  }
}

})
