data:extend({
--ENTITY
{
  type = "mining-drill",
  name = "mining-drill-2",
  icon = "__increments__/graphics/icons/mining-drill-2.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {mining_time = 1, result = "mining-drill-2"},
  fast_replaceable_group = "mining-drill",
  max_health = 350,
  resource_categories = {"basic-solid"},
  corpse = "big-remnants",
  collision_box = {{ -1.4, -1.4}, {1.4, 1.4}},
  selection_box = {{ -1.5, -1.5}, {1.5, 1.5}},
  working_sound =
  {
    sound =
    {
      filename = "__base__/sound/electric-mining-drill.ogg",
      volume = 0.75
    },
    apparent_volume = 1.5,
  },
  animations =
  {
    north =
    {
      priority = "extra-high",
      width = 110,
      height = 114,
      line_length = 8,
      shift = {0.2, -0.2},
      filename = "__increments__/graphics/entity/mining-drill-2-north.png",
      frame_count = 64,
      animation_speed = 0.5,
      run_mode = "forward-then-backward",
    },
    east =
    {
      priority = "extra-high",
      width = 129,
      height = 100,
      line_length = 8,
      shift = {0.45, 0},
      filename = "__increments__/graphics/entity/mining-drill-2-east.png",
      frame_count = 64,
      animation_speed = 0.5,
      run_mode = "forward-then-backward",
    },
    south =
    {
      priority = "extra-high",
      width = 109,
      height = 111,
      line_length = 8,
      shift = {0.15, 0},
      filename = "__increments__/graphics/entity/mining-drill-2-south.png",
      frame_count = 64,
      animation_speed = 0.5,
      run_mode = "forward-then-backward",
    },
    west =
    {
      priority = "extra-high",
      width = 128,
      height = 100,
      line_length = 8,
      shift = {0.25, 0},
      filename = "__increments__/graphics/entity/mining-drill-2-west.png",
      frame_count = 64,
      animation_speed = 0.5,
      run_mode = "forward-then-backward",
    }
  },
  mining_speed = 1.0, --was 0.5
  energy_source =
  {
    type = "electric",
    -- will produce this much * energy pollution units per tick
    emissions = 0.1,
    usage_priority = "secondary-input"
  },
  energy_usage = "180kW", --was 90
  mining_power = 6, --was 3
  resource_searching_radius = 3.49, --was 2.49
  vector_to_place_result = {0, -1.85},
  module_slots = 3,
  radius_visualisation_picture =
  {
    filename = "__base__/graphics/entity/basic-mining-drill/mining-drill-radius-visualization.png",
    width = 12,
    height = 12
  }
},

--ITEM
{
  type = "item",
  name = "mining-drill-2",
  icon = "__increments__/graphics/icons/mining-drill-2.png",
  flags = {"goes-to-quickbar"},
  subgroup = "extraction-machine",
  order = "a[items]-c[mining-drill-2]",
  place_result = "mining-drill-2",
  stack_size = 50
},

--RECIPE
{
  type = "recipe",
  name = "mining-drill-2",
  energy_required = 2,
  enabled = "false",
  ingredients =
  {
    {"basic-mining-drill", 2},
    {"electronic-circuit", 6},
    {"steel-gear-wheel", 5},
    {"steel-plate", 10}
  },
  result = "mining-drill-2"
},

--TECHNOLOGY
{
  type = "technology",
  name = "mining-drill-2",
  icon = "__increments__/graphics/technology/mining-drill.png",
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "mining-drill-2"
    }
  },
  prerequisites = {"steel-processing-2"},
  unit =
  {
    count = 300,
    ingredients =
    {
      {"science-pack-1", 2},
      {"science-pack-2", 1},
    },
    time = 30
  },
  order = "a-f-e",
},

------------Drill 3------------------------
--ENTITY
{
  type = "mining-drill",
  name = "mining-drill-3",
  icon = "__increments__/graphics/icons/mining-drill-3.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {mining_time = 1, result = "mining-drill-3"},
  fast_replaceable_group = "mining-drill",
  max_health = 400,
  resource_categories = {"basic-solid"},
  corpse = "big-remnants",
  collision_box = {{ -1.4, -1.4}, {1.4, 1.4}},
  selection_box = {{ -1.5, -1.5}, {1.5, 1.5}},
  working_sound =
  {
    sound =
    {
      filename = "__base__/sound/electric-mining-drill.ogg",
      volume = 0.75
    },
    apparent_volume = 1.5,
  },
  animations =
  {
    north =
    {
      priority = "extra-high",
      width = 110,
      height = 114,
      line_length = 8,
      shift = {0.2, -0.2},
      filename = "__increments__/graphics/entity/mining-drill-3-north.png",
      frame_count = 64,
      animation_speed = 0.5,
      run_mode = "forward-then-backward",
    },
    east =
    {
      priority = "extra-high",
      width = 129,
      height = 100,
      line_length = 8,
      shift = {0.45, 0},
      filename = "__increments__/graphics/entity/mining-drill-3-east.png",
      frame_count = 64,
      animation_speed = 0.5,
      run_mode = "forward-then-backward",
    },
    south =
    {
      priority = "extra-high",
      width = 109,
      height = 111,
      line_length = 8,
      shift = {0.15, 0},
      filename = "__increments__/graphics/entity/mining-drill-3-south.png",
      frame_count = 64,
      animation_speed = 0.5,
      run_mode = "forward-then-backward",
    },
    west =
    {
      priority = "extra-high",
      width = 128,
      height = 100,
      line_length = 8,
      shift = {0.25, 0},
      filename = "__increments__/graphics/entity/mining-drill-3-west.png",
      frame_count = 64,
      animation_speed = 0.5,
      run_mode = "forward-then-backward",
    }
  },
  mining_speed = 1.5,
  energy_source =
  {
    type = "electric",
    -- will produce this much * energy pollution units per tick
    emissions = 0.1,
    usage_priority = "secondary-input"
  },
  energy_usage = "270kW", --was 180
  mining_power = 9, --was 6
  resource_searching_radius = 4.49, --was 2.49
  vector_to_place_result = {0, -1.85},
  module_slots = 4, --was 3
  radius_visualisation_picture =
  {
    filename = "__base__/graphics/entity/basic-mining-drill/mining-drill-radius-visualization.png",
    width = 12,
    height = 12
  }
},

--ITEM
{
  type = "item",
  name = "mining-drill-3",
  icon = "__increments__/graphics/icons/mining-drill-3.png",
  flags = {"goes-to-quickbar"},
  subgroup = "extraction-machine",
  order = "a[items]-d[mining-drill-3]",
  place_result = "mining-drill-3",
  stack_size = 50
},

--RECIPE
{
  type = "recipe",
  name = "mining-drill-3",
  energy_required = 2,
  enabled = "false",
  ingredients =
  {
    {"mining-drill-2", 2},
    {"bundled-wire", 12},
    {"steel-gear-wheel", 10},
    {"steel-plate", 20}
  },
  result = "mining-drill-3"
},

--TECHNOLOGY
{
  type = "technology",
  name = "mining-drill-3",
  icon = "__increments__/graphics/technology/mining-drill.png",
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "mining-drill-3"
    }
  },
  prerequisites = {"mining-drill-2"},
  unit =
  {
    count = 300,
    ingredients =
    {
      {"science-pack-1", 3},
      {"science-pack-2", 2},
	  {"science-pack-3", 1},
    },
    time = 45
  },
  order = "a-f-e",
}


})
