data:extend({

--ENTITY module-assembling-machine
{
  type = "assembling-machine",
  name = "module-assembling-machine-1",
  icon = "__increments__/graphics/icons/module-assembling-machine.png",
  flags = {"placeable-neutral", "placeable-player", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "module-assembling-machine-1"},
  max_health = 200,
  corpse = "big-remnants",
  dying_explosion = "huge-explosion",
  resistances =
  {
    {
      type = "fire",
      percent = 70
    }
  },
  collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
  selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
  module_slots = 1,
  allowed_effects = {"consumption", "speed", "pollution"},
  fast_replaceable_group = "assembling-machine",
  animation =
  {
    filename = "__increments__/graphics/entity/module-assembling-machine.png",
    priority="high",
    width = 99,
    height = 102,
    frame_count = 32,
    line_length = 8,
    shift = {0.25, -0.1}
  },
  crafting_categories = {"i-module-1"},
  crafting_speed = 0.5,
  energy_source =
  {
    type = "electric",
    usage_priority = "secondary-input",
    emissions = 0.05 / 1.5
  },
  energy_usage = "90kW",
  ingredient_count = 1,
  open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
  close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
  working_sound =
  {
    sound = {
      {
        filename = "__base__/sound/assembling-machine-t1-1.ogg",
        volume = 0.8
      },
      {
        filename = "__base__/sound/assembling-machine-t1-2.ogg",
        volume = 0.8
      },
    },
    idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
    apparent_volume = 1.5,
  }
},

--RECIPE

{
  type = "recipe",
  name = "module-assembling-machine-1",
  enabled = "false",
  energy_required = 15,
  ingredients =
  {
    {"electronic-circuit", 3},
    {"iron-gear-wheel", 5},
    {"iron-plate", 9}
  },
  result = "module-assembling-machine-1"
},

--ITEM
{
  type = "item",
  name = "module-assembling-machine-1",
  icon = "__increments__/graphics/icons/module-assembling-machine.png",
  flags = {"goes-to-quickbar"},
  subgroup = "production-machine",
  order = "c[module-assembling-machine]-a",
  place_result = "module-assembling-machine-1",
  stack_size = 50
},

--TECHNOLOGY
{
  type = "technology",
  name = "module-assembling-machine-1",
  icon = "__increments__/graphics/technology/module-automation.png",
  prerequisites = {"electronics"},
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "module-assembling-machine-1"
    }
  },
  unit =
  {
    count = 50,
    ingredients = 
		{
			{"science-pack-1", 1}
		},
    time = 15
  },
  order = "a-b-a",
},

--ENTITY module-assembling-machine-2
{
  type = "assembling-machine",
  name = "module-assembling-machine-2",
  icon = "__increments__/graphics/icons/module-assembling-machine-2.png",
  flags = {"placeable-neutral", "placeable-player", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "module-assembling-machine-2"},
  max_health = 250,
  corpse = "big-remnants",
  dying_explosion = "huge-explosion",
  resistances =
  {
    {
      type = "fire",
      percent = 70
    }
  },
  collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
  selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
  module_slots = 2,
  fast_replaceable_group = "assembling-machine",
  allowed_effects = {"consumption", "speed", "pollution"},
  animation =
  {
    filename = "__increments__/graphics/entity/module-assembling-machine-2.png",
    priority="high",
    width = 99,
    height = 102,
    frame_count = 32,
    line_length = 8,
    shift = {0.25, -0.1}
  },
  crafting_categories = {"i-module-1", "i-module-2"},
  crafting_speed = 0.5,
  energy_source =
  {
    type = "electric",
    usage_priority = "secondary-input",
    emissions = 0.05 / 1.5
  },
  energy_usage = "90kW",
  ingredient_count = 2,
  open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
  close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
  working_sound =
  {
    sound = {
      {
        filename = "__base__/sound/assembling-machine-t1-1.ogg",
        volume = 0.8
      },
      {
        filename = "__base__/sound/assembling-machine-t1-2.ogg",
        volume = 0.8
      },
    },
    idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
    apparent_volume = 1.5,
  }
},

--RECIPE

{
  type = "recipe",
  name = "module-assembling-machine-2",
  enabled = "false",
  energy_required = 20,
  ingredients =
  {
    {"advanced-circuit", 3},
    {"steel-gear-wheel", 5},
    {"steel-plate", 9}
  },
  result = "module-assembling-machine-2"
},

--ITEM
{
  type = "item",
  name = "module-assembling-machine-2",
  icon = "__increments__/graphics/icons/module-assembling-machine-2.png",
  flags = {"goes-to-quickbar"},
  subgroup = "production-machine",
  order = "d[module-assembling-machine-2]-a",
  place_result = "module-assembling-machine-2",
  stack_size = 50
},

--TECHNOLOGY
{
  type = "technology",
  name = "module-assembling-machine-2",
  icon = "__increments__/graphics/technology/module-automation.png",
  prerequisites = {"module-assembling-machine-1", "advanced-electronics"},
  upgrade = true,
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "module-assembling-machine-2"
    }
  },
  unit =
  {
    count = 100,
    ingredients = 
		  {
				{"science-pack-1", 2},
				{"science-pack-2", 1}
			},
    time = 30
  },
  order = "a-b-a",
}

})