data:extend({
--added new recipe category = "recycling"
--current recyclable items
--wooden-chest, basic-armor, stone-belt, stone-transport-belt-to-ground
--stone-splitter, iron-chest
--burner-inserter, burner-mining-drill
--stone furnace, -fast, -fuel, -pollution

--New Category
{
  type = "recipe-category",
  name = "recycling"
},

--ENTITY
{
  type = "furnace",
  name = "recycler",
  icon = "__increments__/graphics/items/recycle.png",
  flags = {"placeable-neutral", "placeable-player", "player-creation"},
  minable = {mining_time = 1, result = "recycler"},
  max_health = 250,
  corpse = "big-remnants",
  dying_explosion = "huge-explosion",
  light = {intensity = 1, size = 10},
  resistances = 
  {
    {
      type = "fire",
      percent = 80
    }
  },
  collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
  selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
  module_slots = 2,
  allowed_effects = {"consumption", "speed", "pollution"},
  crafting_categories = {"recycling"},
  result_inventory_size = 4,
  crafting_speed = 2,
  energy_usage = "20kW",
  source_inventory_size = 1,
  energy_source =
  {
    type = "electric",
    usage_priority = "secondary-input",
    emissions = 0.005
  },
  working_sound =
  {
    sound =
    {
      filename = "__base__/sound/electric-furnace.ogg",
      volume = 0.7
    },
    apparent_volume = 1.5
  },
  animation =
  {
    filename = "__increments__/graphics/entity/recycler.png",
    priority = "high",
    width = 129,
    height = 100,
    frame_count = 1,
    shift = {0.421875, 0}
  },
  working_visualisations =
  {
    {
      animation =
      {
        filename = "__increments__/graphics/entity/recycler-heater.png",
        priority = "high",
        width = 25,
        height = 15,
        frame_count = 12,
        animation_speed = 0.5,
        shift = {0.015625, 0.890625}
      },
      light = {intensity = 0.4, size = 6, shift = {0.0, 1.0}}
    },
    {
      animation =
      {
        filename = "__base__/graphics/entity/electric-furnace/electric-furnace-propeller-1.png",
        priority = "high",
        width = 19,
        height = 13,
        frame_count = 4,
        animation_speed = 0.5,
        shift = {-0.671875, -0.640625}
      }
    },
    {
      animation =
      {
        filename = "__base__/graphics/entity/electric-furnace/electric-furnace-propeller-2.png",
        priority = "high",
        width = 12,
        height = 9,
        frame_count = 4,
        animation_speed = 0.5,
        shift = {0.0625, -1.234375}
      }
    }
  }
},

--ITEM
{
    type = "item",
    name = "recycler",
    icon = "__increments__/graphics/items/recycle.png",
    flags = {"goes-to-quickbar"},
    subgroup = "smelting-machine",
    order = "d[recycler]",
    place_result = "recycler",
    stack_size = 10
},

--RECIPE
{
  type = "recipe",
  name = "recycler",
  enabled = "false",
  energy_required = 20,
  ingredients = {{"iron-plate", 30}, {"iron-gear-wheel", 15}},
  result = "recycler"
},

--TECHNOLOGY
{
  type = "technology",
  name = "recycler",
  icon = "__increments__/graphics/technology/recycle.png",
  effects =
  {
	{
      type = "unlock-recipe",
      recipe = "recycler"
	}
  },		 
  unit =
  {
    count = 50,
    ingredients = {{"science-pack-1", 1}},
    time = 15
  }
},

--Recipes that the recycler mk1 uses (get back half the ingredients worth)
{
  type = "recipe",
  name = "rec-basic-armor",
  category = "recycling",
  hidden = "true",  
  energy_required = 30,
  ingredients = {{"basic-armor", 1}},
  result = "iron-plate",
  result_count = 20
},

{
  type = "recipe",
  name = "rec-wooden-chest",
  category = "recycling",
  hidden = "true",  
  energy_required = 30,
  ingredients = {{"wooden-chest", 1}},
  result = "wood",
  result_count = 2
},

{
  type = "recipe",
  name = "rec-stone-belt",
  category = "recycling",
  hidden = "true",  
  energy_required = 30,
  ingredients = {{"stone-belt", 1}},
  result = "stone",
  result_count = 1
},

{
  type = "recipe",
  name = "rec-stone-transport-belt-to-ground",
  category = "recycling",
  hidden = "true",  
  energy_required = 30,
  ingredients = {{"stone-transport-belt-to-ground", 1}},
  result = "stone",
  result_count = 7
},

{
  type = "recipe",
  name = "rec-stone-splitter",
  category = "recycling",
  hidden = "true",  
  energy_required = 30,
  ingredients = {{"stone-splitter", 1}},
  result = "stone",
  result_count = 16
},

{
  type = "recipe",
  name = "rec-iron-chest",
  category = "recycling",
  hidden = "true",  
  energy_required = 30,
  ingredients = {{"iron-chest", 1}},
  result = "iron-plate",
  result_count = 4
},

{
  type = "recipe",
  name = "rec-burner-mining-drill",
  icon = "__base__/graphics/icons/electric-furnace.png",
  category = "recycling",
  subgroup = "i-recycler",
  hidden = "true",  
  energy_required = 30,
  ingredients = {{"burner-mining-drill", 1}},
  results =
  {
    {"iron-plate", 2},
	{"stone", 2}
  }
},

{
  type = "recipe",
  name = "rec-burner-inserter",
  category = "recycling",
  hidden = "true",  
  energy_required = 30,
  ingredients = {{"burner-inserter", 1}},
  result = "iron-plate",
  result_count = 1 
},

{
  type = "recipe",
  name = "rec-stone-furnace",
  category = "recycling",
  hidden = "true",  
  energy_required = 30,
  ingredients = {{"stone-furnace", 1}},
  result = "stone",
  result_count = 2 
},

{
  type = "recipe",
  name = "rec-stone-furnace-fast",
  category = "recycling",
  hidden = "true",  
  energy_required = 30,
  ingredients = {{"stone-furnace-fast", 1}},
  result = "stone",
  result_count = 10 
},

{
  type = "recipe",
  name = "rec-stone-furnace-fuel",
  icon = "__base__/graphics/icons/electric-furnace.png",
  category = "recycling",
  subgroup = "i-recycler",
  hidden = "true",  
  energy_required = 30,
  ingredients = {{"stone-furnace-fuel", 1}},
  results =
  {
    {"iron-plate", 4},
    {"stone", 2}
  }
},

{
  type = "recipe",
  name = "rec-stone-furnace-pollution",
  icon = "__base__/graphics/icons/electric-furnace.png",
  category = "recycling",
  subgroup = "i-recycler",
  hidden = "true",  
  energy_required = 30,
  ingredients = {{"stone-furnace-pollution", 1}},
  results =
  {
    {"copper-plate", 4},
	{"stone", 2}
  }
},

{
  type = "recipe",
  name = "rec-basic-bullet-magazine",
  category = "recycling",
  hidden = "true",  
  energy_required = 30,
  ingredients = {{"basic-bullet-magazine", 1}},
  result = "iron-plate",
  result_count = 1
},

--for recipes with multiple outputs
{
  type = "item-group",
  name = "i-recycler",
  order = "f",
  inventory_order = "f",
  icon = "__increments__/graphics/icons/module-tab.png"
},

--for recipes with multiple outputs
{
  type = "item-subgroup",
  name = "i-recycler",
  group = "i-recycler",
  order = "a"
}
 
})
