data:extend(
{

{
  type = "logistic-robot",
  name = "logistic-robot-mk-2",
  icon = "__increments__/graphics/icons/logistic-robot-mk-2.png",
  flags = {"placeable-player", "player-creation", "placeable-off-grid", "not-on-map"},
  minable = {hardness = 0.1, mining_time = 0.1, result = "logistic-robot-mk-2"},
  max_health = 200,								--default max_health = 100,
  collision_box = {{0, 0}, {0, 0}},
  selection_box = {{-0.5, -1.5}, {0.5, -0.5}},
  max_payload_size = 2,							--default max_payload_size = 1, 	
  speed = 0.10,									--default speed = 0.05,
  transfer_distance = 0.5,						--default transfer_distance = 0.5,
  max_energy = "600kJ",							--default max_energy = "300kJ",
  energy_per_tick = "0.01kJ",					--default energy_per_tick = "0.01kJ",
  speed_multiplier_when_out_of_energy = 0.2,
  energy_per_move = "1kJ",						--default energy_per_move = "1kJ",
  min_to_charge = 0.2,
  max_to_charge = 0.95,
  idle =
  {
    filename = "__increments__/graphics/robots/logistic-robot-mk-2.png",
    priority = "high",
    line_length = 16,
    width = 41,
    height = 42,
    frame_count = 1,
    shift = {0.015625, -0.09375},
    axially_symmetrical = false,
    direction_count = 16,
    y = 42
  },
  idle_with_cargo =
  {
    filename = "__increments__/graphics/robots/logistic-robot-mk-2.png",
    priority = "high",
    line_length = 16,
    width = 41,
    height = 42,
    frame_count = 1,
    shift = {0.015625, -0.09375},
    axially_symmetrical = false,
    direction_count = 16
  },
  in_motion =
  {
    filename = "__increments__/graphics/robots/logistic-robot-mk-2.png",
    priority = "high",
    line_length = 16,
    width = 41,
    height = 42,
    frame_count = 1,
    shift = {0.015625, -0.09375},
    axially_symmetrical = false,
    direction_count = 16,
    y = 126
  },
  in_motion_with_cargo =
  {
    filename = "__increments__/graphics/robots/logistic-robot-mk-2.png",
    priority = "high",
    line_length = 16,
    width = 41,
    height = 42,
    frame_count = 1,
    shift = {0.015625, -0.09375},
    axially_symmetrical = false,
    direction_count = 16,
    y = 84
  },
  shadow_idle =
  {
    filename = "__base__/graphics/entity/logistic-robot/logistic-robot-shadow.png",
    priority = "high",
    line_length = 16,
    width = 59,
    height = 23,
    frame_count = 1,
    shift = {0.96875, 0.609375},
    axially_symmetrical = false,
    direction_count = 16,
    y = 23
  },
  shadow_idle_with_cargo =
  {
    filename = "__base__/graphics/entity/logistic-robot/logistic-robot-shadow.png",
    priority = "high",
    line_length = 16,
    width = 59,
    height = 23,
    frame_count = 1,
    shift = {0.96875, 0.609375},
    axially_symmetrical = false,
    direction_count = 16
  },
  shadow_in_motion =
  {
    filename = "__base__/graphics/entity/logistic-robot/logistic-robot-shadow.png",
    priority = "high",
    line_length = 16,
    width = 59,
    height = 23,
    frame_count = 1,
    shift = {0.96875, 0.609375},
    axially_symmetrical = false,
    direction_count = 16,
    y = 23
  },
  shadow_in_motion_with_cargo =
  {
    filename = "__base__/graphics/entity/logistic-robot/logistic-robot-shadow.png",
    priority = "high",
    line_length = 16,
    width = 59,
    height = 23,
    frame_count = 1,
    shift = {0.96875, 0.609375},
    axially_symmetrical = false,
    direction_count = 16
  },
  working_sound = flying_robot_sounds(),
  cargo_centered = {0.0, 0.2},
},

--Logistic Robot Item

{
  type = "item",
  name = "logistic-robot-mk-2",
  icon = "__increments__/graphics/icons/logistic-robot-mk-2.png",
  flags = {"goes-to-quickbar"},
  subgroup = "logistic-network",
  order = "a[robot]-c[logistic-robot-mk-2]",
  place_result = "logistic-robot-mk-2",
  stack_size = 50
},

-- Logistic Robot Recipe
{
  type = "recipe",
  name = "logistic-robot-mk-2",
  enabled = "false",
  ingredients =
  {
    {"logistic-robot", 1},
    {"advanced-circuit", 4},
	{"battery", 2}
  },
  result = "logistic-robot-mk-2"
},

-- Logistic Robot Technology

{
  type = "technology",
  name = "logistic-robotics-2",
  icon = "__base__/graphics/technology/logistic-robotics.png",
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "logistic-robot-mk-2"
    }
  },
  prerequisites = {"logistic-robotics"},
  upgrade = "true",
  unit = {
    count = 100,
    ingredients = {
      {"science-pack-1", 3},
      {"science-pack-2", 2},
	  {"science-pack-3", 1}
    },
    time = 30
  },
  order = "c-k-c",
},

-- Construction Robot

{
  type = "construction-robot",
  name = "construction-robot-mk-2",
  icon = "__increments__/graphics/icons/construction-robot-mk-2.png",
  flags = {"placeable-player", "player-creation", "placeable-off-grid", "not-on-map"},
  minable = {hardness = 0.1, mining_time = 0.1, result = "construction-robot-mk-2"},
  max_health = 200,								--default max_health = 100,	
  collision_box = {{0, 0}, {0, 0}},
  selection_box = {{-0.5, -1.5}, {0.5, -0.5}},
  max_payload_size = 2,  						--default max_payload_size = 1,
  speed = 0.12,									--default speed = 0.06
  transfer_distance = 0.5,						--default transfer_distance = 0.5,
  max_energy = "600kJ",							--default max_energy = "300kJ",
  energy_per_tick = "0.01kJ",					--default energy_per_tick = "0.01kJ",
  speed_multiplier_when_out_of_energy = 0.2,
  energy_per_move = "1kJ",						--default energy_per_move = "1kJ",
  min_to_charge = 0.2,
  max_to_charge = 0.95,
  working_light = {intensity = 0.8, size = 3},
  idle =
  {
    filename = "__increments__/graphics/robots/construction-robot-mk-2.png",
    priority = "high",
    line_length = 16,
    width = 32,
    height = 36,
    frame_count = 1,
    shift = {0, -0.15625},
    axially_symmetrical = false,
    direction_count = 16
  },
  in_motion =
  {
    filename = "__increments__/graphics/robots/construction-robot-mk-2.png",
    priority = "high",
    line_length = 16,
    width = 32,
    height = 36,
    frame_count = 1,
    shift = {0, -0.15625},
    axially_symmetrical = false,
    direction_count = 16,
    y = 36
  },
  shadow_idle =
  {
    filename = "__base__/graphics/entity/construction-robot/construction-robot-shadow.png",
    priority = "high",
    line_length = 16,
    width = 50,
    height = 24,
    frame_count = 1,
    shift = {1.09375, 0.59375},
    axially_symmetrical = false,
    direction_count = 16
  },
  shadow_in_motion =
  {
    filename = "__base__/graphics/entity/construction-robot/construction-robot-shadow.png",
    priority = "high",
    line_length = 16,
    width = 50,
    height = 24,
    frame_count = 1,
    shift = {1.09375, 0.59375},
    axially_symmetrical = false,
    direction_count = 16
  },
  working =
  {
    filename = "__increments__/graphics/robots/construction-robot-mk-2-working.png",
    priority = "high",
    line_length = 2,
    width = 28,
    height = 36,
    frame_count = 2,
    shift = {0, -0.15625},
    axially_symmetrical = false,
    direction_count = 16,
    animation_speed = 0.3,
  },
  shadow_working =
  {
    stripes = util.multiplystripes(2,
    {
      {
        filename = "__base__/graphics/entity/construction-robot/construction-robot-shadow.png",
        width_in_frames = 16,
        height_in_frames = 1,
      }
    }),
    priority = "high",
    width = 50,
    height = 24,
    frame_count = 2,
    shift = {1.09375, 0.59375},
    axially_symmetrical = false,
    direction_count = 16
  },
  smoke =
  {
    filename = "__base__/graphics/entity/smoke-construction/smoke-01.png",
    width = 39,
    height = 32,
    frame_count = 19,
    line_length = 19,
    shift = {0.078125, -0.15625},
    animation_speed = 0.3,
  },
  sparks =
  {
    {
      filename = "__base__/graphics/entity/sparks/sparks-01.png",
      width = 39,
      height = 34,
      frame_count = 19,
      line_length = 19,
      shift = {-0.109375, 0.3125},
      tint = { r = 1.0, g = 0.9, b = 0.0, a = 1.0 },
      animation_speed = 0.3,
    },
    {
      filename = "__base__/graphics/entity/sparks/sparks-02.png",
      width = 36,
      height = 32,
      frame_count = 19,
      line_length = 19,
      shift = {0.03125, 0.125},
      tint = { r = 1.0, g = 0.9, b = 0.0, a = 1.0 },
      animation_speed = 0.3,
    },
    {
      filename = "__base__/graphics/entity/sparks/sparks-03.png",
      width = 42,
      height = 29,
      frame_count = 19,
      line_length = 19,
      shift = {-0.0625, 0.203125},
      tint = { r = 1.0, g = 0.9, b = 0.0, a = 1.0 },
      animation_speed = 0.3,
    },
    {
      filename = "__base__/graphics/entity/sparks/sparks-04.png",
      width = 40,
      height = 35,
      frame_count = 19,
      line_length = 19,
      shift = {-0.0625, 0.234375},
      tint = { r = 1.0, g = 0.9, b = 0.0, a = 1.0 },
      animation_speed = 0.3,
    },
    {
      filename = "__base__/graphics/entity/sparks/sparks-05.png",
      width = 39,
      height = 29,
      frame_count = 19,
      line_length = 19,
      shift = {-0.109375, 0.171875},
      tint = { r = 1.0, g = 0.9, b = 0.0, a = 1.0 },
      animation_speed = 0.3,
    },
    {
      filename = "__base__/graphics/entity/sparks/sparks-06.png",
      width = 44,
      height = 36,
      frame_count = 19,
      line_length = 19,
      shift = {0.03125, 0.3125},
      tint = { r = 1.0, g = 0.9, b = 0.0, a = 1.0 },
      animation_speed = 0.3,
    },
  },
  repair_pack = "repair-pack",
  working_sound = flying_robot_sounds(),
  cargo_centered = {0.0, 0.2},
  construction_vector = {0.30, 0.22},
},

-- Construction Robot Item
{
  type = "item",
  name = "construction-robot-mk-2",
  icon = "__increments__/graphics/icons/construction-robot-mk-2.png",
  flags = {"goes-to-quickbar"},
  subgroup = "logistic-network",
  order = "a[robot]-d[construction-robot-mk-2]",
  place_result = "construction-robot-mk-2",
  stack_size = 50
},


-- Construction Robot Recipe
{
  type = "recipe",
  name = "construction-robot-mk-2",
  enabled = "false",
  ingredients =
  {
    {"construction-robot", 1},
    {"advanced-circuit", 2},
	{"battery", 2}
  },
  result = "construction-robot-mk-2"
},

-- Construction Robot Technology

{
  type = "technology",
  name = "construction-robotics-2",
  icon = "__base__/graphics/technology/construction-robotics.png",
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "construction-robot-mk-2"
    }
  },
  prerequisites = {"construction-robotics"},
  upgrade = "true",
  unit =
  {
    count = 100,
    ingredients =
    {
      {"science-pack-1", 3},
      {"science-pack-2", 2},
	  {"science-pack-3", 1}
    },
    time = 30
  },
  order = "c-k-a",
}

  })