data:extend({

--Steel Pipe Entity

{
  type = "pipe",
  name = "steel-pipe",
  icon = "__increments__/graphics/icons/steel-pipe.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "steel-pipe"},
  max_health = 100,
  corpse = "small-remnants",
  resistances =
  {
    {
      type = "fire",
      percent = 90
    }
  },
  fast_replaceable_group = "pipe",
  collision_box = {{-0.29, -0.29}, {0.29, 0.29}},
  selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
  fluid_box =
  {
    base_area = 5,
    pipe_connections =
    {
      { position = {0, -1} },
      { position = {1, 0} },
      { position = {0, 1} },
      { position = {-1, 0} }
    },
  },
  pictures =
  {
  straight_vertical_single =
  {
    filename = "__increments__/graphics/steel-pipe/steel-pipe-straight-vertical-single.png",
    priority = "extra-high",
    width = 44,
    height = 58
  },
  straight_vertical =
  {
    filename = "__increments__/graphics/steel-pipe/steel-pipe-straight-vertical.png",
    priority = "extra-high",
    width = 44,
    height = 42
  },
  straight_vertical_window =
  {
    filename = "__increments__/graphics/steel-pipe/steel-pipe-straight-vertical-window.png",
    priority = "extra-high",
    width = 44,
    height = 32
  },
  straight_horizontal_window =
  {
    filename = "__increments__/graphics/steel-pipe/steel-pipe-straight-horizontal-window.png",
    priority = "extra-high",
    width = 32,
    height = 4
  },
  straight_horizontal =
  {
    filename = "__increments__/graphics/steel-pipe/steel-pipe-straight-horizontal.png",
    priority = "extra-high",
    width = 32,
    height = 42
  },
  corner_up_right =
  {
    filename = "__increments__/graphics/steel-pipe/steel-pipe-corner-up-right.png",
    priority = "extra-high",
    width = 32,
    height = 40
  },
  corner_up_left =
  {
    filename = "__increments__/graphics/steel-pipe/steel-pipe-corner-up-left.png",
    priority = "extra-high",
    width = 44,
    height = 44
  },
  corner_down_right =
  {
    filename = "__increments__/graphics/steel-pipe/steel-pipe-corner-down-right.png",
    priority = "extra-high",
    width = 32,
    height = 32
  },
  corner_down_left =
  {
    filename = "__increments__/graphics/steel-pipe/steel-pipe-corner-down-left.png",
    priority = "extra-high",
    width = 36,
    height = 32
  },
  t_up =
  {
    filename = "__increments__/graphics/steel-pipe/steel-pipe-t-up.png",
    priority = "extra-high",
    width = 32,
    height = 42
  },
  t_down =
  {
    filename = "__increments__/graphics/steel-pipe/steel-pipe-t-down.png",
    priority = "extra-high",
    width = 40,
    height = 44
  },
  t_right =
    {
      filename = "__increments__/graphics/steel-pipe/steel-pipe-t-right.png",
      priority = "extra-high",
      width = 40,
      height = 32
    },
  t_left =
  {
    filename = "__increments__/graphics/steel-pipe/steel-pipe-t-left.png",
    priority = "extra-high",
    width = 44,
    height = 42
  },
  cross =
  {
    filename = "__increments__/graphics/steel-pipe/steel-pipe-cross.png",
    priority = "extra-high",
    width = 40,
    height = 40
  },
  ending_up =
  {
    filename = "__increments__/graphics/steel-pipe/steel-pipe-ending-up.png",
    priority = "extra-high",
    width = 44,
    height = 42
  },
  ending_down =
  {
    filename = "__increments__/graphics/steel-pipe/steel-pipe-ending-down.png",
    priority = "extra-high",
    width = 44,
    height = 32
  },
  ending_right =
  {
    filename = "__increments__/graphics/steel-pipe/steel-pipe-ending-right.png",
    priority = "extra-high",
    width = 32,
    height = 44
  },
  ending_left =
  {
    filename = "__increments__/graphics/steel-pipe/steel-pipe-ending-left.png",
    priority = "extra-high",
    width = 58,
    height = 44
  },
  horizontal_window_background =
  {
    filename = "__increments__/graphics/steel-pipe/steel-pipe-horizontal-window-background.png",
    priority = "extra-high",
    width = 32,
    height = 42
  },
  vertical_window_background =
  {
    filename = "__increments__/graphics/steel-pipe/steel-pipe-vertical-window-background.png",
    priority = "extra-high",
    width = 44,
    height = 32
  },
  fluid_background =
  {
    filename = "__base__/graphics/entity/pipe/fluid-background.png",
    priority = "extra-high",
    width = 32,
    height = 20
  },
  low_temperature_flow =
  {
    filename = "__base__/graphics/entity/pipe/fluid-flow-low-temperature.png",
    priority = "extra-high",
    width = 160,
    height = 18
  },
  middle_temperature_flow =
  {
    filename = "__base__/graphics/entity/pipe/fluid-flow-medium-temperature.png",
    priority = "extra-high",
    width = 160,
    height = 18
  },
  high_temperature_flow =
  {
    filename = "__base__/graphics/entity/pipe/fluid-flow-high-temperature.png",
    priority = "extra-high",
    width = 160,
    height = 18
  }
  },
  working_sound =
  {
    sound = {
      {
        filename = "__base__/sound/pipe.ogg",
        volume = 0.65
      },
    },
    match_volume_to_activity = true,
    max_sounds_per_type = 3
  },
  horizontal_window_bounding_box = {{-0.25, -0.25}, {0.25, 0.15625}},
  vertical_window_bounding_box = {{-0.28125, -0.40625}, {0.03125, 0.125}}
},

-- Steel Pipe Item 

{
  type = "item",
  name = "steel-pipe",
  icon = "__increments__/graphics/steel-pipe/steel-pipe.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy-pipe-distribution",
  order = "a[pipe]-b[steel-pipe]",
  place_result = "steel-pipe",
  stack_size = 50
},

-- Steel Pipe Recipe

{
  type = "recipe",
  name = "steel-pipe",
  enabled = "false",
  ingredients = {{"steel-plate", 1}},
  result = "steel-pipe"
},

-- Steel Pipe Technology

--Steel Pipe to Ground Entity
  
{
  type = "pipe-to-ground",
  name = "steel-pipe-to-ground",
  icon = "__increments__/graphics/icons/steel-pipe-to-ground.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "steel-pipe-to-ground"},
  max_health = 100,
  corpse = "small-remnants",
  resistances =
  {
    {
      type = "fire",
      percent = 80
    }
  },
  collision_box = {{-0.29, -0.29}, {0.29, 0.2}},
  selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
  fluid_box =
  {
    base_area = 5,
    pipe_covers = 
	{
      north =
      {
        filename = "__increments__/graphics/steel-pipe/steel-pipe-cover-north.png",
        priority = "extra-high",
        width = 44,
        height = 32
      },
      east =
      {
        filename = "__increments__/graphics/steel-pipe/steel-pipe-cover-east.png",
        priority = "extra-high",
        width = 32,
        height = 32
      },
      south =
      {
        filename = "__increments__/graphics/steel-pipe/steel-pipe-cover-south.png",
        priority = "extra-high",
        width = 46,
        height = 52
      },
      west =
      {
        filename = "__increments__/graphics/steel-pipe/steel-pipe-cover-west.png",
        priority = "extra-high",
        width = 32,
        height = 32
      }
	},
    pipe_connections =
    {
      { position = {0, -1} },
      {
        position = {0, 1},
        max_underground_distance = 20 		--default max_underground_distance = 10
      }
    }
  },
  underground_sprite =
  {
    filename = "__core__/graphics/arrows/underground-lines.png",
    priority = "high",
    width = 32,
    height = 32
  },
  pictures =
  {
    up =
    {
      filename = "__increments__/graphics/steel-pipe/steel-pipe-to-ground-up.png",
      priority = "high",
      width = 44,
      height = 32 --, shift = {0.10, -0.04}
    },
    down =
    {
      filename = "__increments__/graphics/steel-pipe/steel-pipe-to-ground-down.png",
      priority = "high",
      width = 40,
      height = 32 --, shift = {0.05, 0}
    },
    left =
    {
      filename = "__increments__/graphics/steel-pipe/steel-pipe-to-ground-left.png",
      priority = "high",
      width = 32,
      height = 42 --, shift = {-0.12, 0.1}
    },
    right =
    {
      filename = "__increments__/graphics/steel-pipe/steel-pipe-to-ground-right.png",
      priority = "high",
      width = 32,
      height = 40 --, shift = {0.1, 0.1}
    }
  }
},

--Steel Pipe to Ground Item

{
  type = "item",
  name = "steel-pipe-to-ground",
  icon = "__increments__/graphics/icons/steel-pipe-to-ground.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy-pipe-distribution",
  order = "a[pipe]-b[steel-pipe-to-ground]",
  place_result = "steel-pipe-to-ground",
  stack_size = 50
},

--Steel Pipe to Ground Recipe

{
  type = "recipe",
  name = "steel-pipe-to-ground",
  enabled = "false",
  ingredients =
  {
    {"steel-pipe", 20},
    {"steel-plate", 10}
  },
  result_count = 2,
  result = "steel-pipe-to-ground"
}

})