data:extend({
--ENTITY
{
  type = "car",
  name = "truck",
  icon = "__increments__/graphics/icons/truck.png",
  flags = {"pushable", "placeable-neutral", "player-creation", "placeable-off-grid"},
  minable = {mining_time = 5, result = "truck"},
  max_health = 500,
  corpse = "medium-remnants",
  dying_explosion = "huge-explosion",
  energy_per_hit_point = 1.0,
  resistances =
  {
    {
      type = "fire",
      percent = 100
    },
    {
      type = "physical",
      decrease = 15,
      percent = 30
    },
    {
      type = "impact",
      decrease = 50,
      percent = 60
    }
  },
  collision_box = {{-0.9, -1.8}, {0.9, 1.8}},
  selection_box = {{-0.9, -1.8}, {0.9, 1.8}},
  effectivity = 0.1,
  braking_power = "1600kW",
  burner =
  {
    effectivity = 1.2,
    fuel_inventory_size = 2,
    smoke =
    {
      {
        name = "smoke",
        deviation = {0.25, 0.25},
        frequency = 50,
        position = {0, 2},
        slow_down_factor = 0.9,
        starting_frame = 3,
        starting_frame_deviation = 5,
        starting_frame_speed = 0,
        starting_frame_speed_deviation = 5
      }
    }
  },
  consumption = "1200kW",
  friction = 2e-3,
  light =
  {
    {
      type = "oriented",
      minimum_darkness = 0.3,
      picture =
      {
        filename = "__core__/graphics/light-cone.png",
        priority = "medium",
        scale = 2,
        width = 200,
        height = 200
      },
      shift = {-0.6, -14},
      size = 2,
      intensity = 0.6
    },
    {
      type = "oriented",
      minimum_darkness = 0.3,
      picture =
       {
          filename = "__core__/graphics/light-cone.png",
          priority = "medium",
          scale = 2,
          width = 200,
          height = 200
        },
      shift = {0.6, -14},
      size = 2,
      intensity = 0.6
    }
  },
  animation =
  {
    filename = "__increments__/graphics/entity/truck.png",
    line_length = 16,
    width = 112,
    height = 100,
	scale = 1.3,
    frame_count = 1,
    shift={-0, 0},
    axially_symmetrical = false,
    direction_count = 64
  },
  stop_trigger_speed = 1,
  stop_trigger =
  {
    {
      type = "play-sound",
      sound =
      {
        {
          filename = "__base__/sound/car-breaks.ogg",
          volume = 0.6
        }
      }
    }
  },
  crash_trigger = crash_trigger(),
  sound_minimum_speed = 0.2;
  working_sound =
  {
    sound =
    {
      filename = "__base__/sound/car-engine.ogg",
      volume = 0.6
    },
    activate_sound =
    {
      filename = "__base__/sound/car-engine-start.ogg",
      volume = 0.6
    },
    deactivate_sound =
    {
      filename = "__base__/sound/car-engine-stop.ogg",
      volume = 0.6
    },
    match_speed_to_activity = true,
  },
  open_sound = { filename = "__base__/sound/car-door-open.ogg", volume=0.7 },
  close_sound = { filename = "__base__/sound/car-door-close.ogg", volume = 0.7 },
  rotation_speed = 0.015,
  weight = 5000,
  inventory_size = 100
},
  
--ITEM	  
{
  type = "item",
  name = "truck",
  icon = "__increments__/graphics/icons/truck.png",
  flags = {"goes-to-quickbar"},
  subgroup = "transport",
  order = "b-a",
  place_result = "truck",
  stack_size = 50
},

--RECIPE  
{
  type = "recipe",
  name = "truck",
  enabled = "false",
  energy_required = 5,
  ingredients =
  {
    {"engine-unit", 6},
    {"iron-plate", 100},
    {"iron-gear-wheel", 10},
    {"electronic-circuit", 5}
  },
  result = "truck"
},

--TECHNOLOGY
{
  type = "technology",
  name = "truck",
  icon = "__base__/graphics/technology/automobilism.png",
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "truck"
    },
  },
  prerequisites = {"engine"},
  unit =
  {
    count = 100,
    ingredients =
    {
      {"science-pack-1", 1},
      {"science-pack-2", 1}
    },
    time = 30
  },
  order = "e-c"
}

})