require "util"

gun_turret_extension =
{
  filename = "__base__/graphics/entity/gun-turret/gun-turret-extension.png",
  priority = "medium",
  width = 171,
  height = 102,
  direction_count = 4,
  frame_count = 5,
  axially_symmetrical = false,
  shift = {1.34375, -0.5 + 0.6}
}

data:extend({
--ENTITY submachine-gun-turret
{
  type = "ammo-turret",
  name = "submachine-gun-turret",
  icon = "__base__/graphics/icons/gun-turret.png",
  flags = {"placeable-player", "player-creation"},
  minable = {mining_time = 0.5, result = "submachine-gun-turret"},
  max_health = 200,
  corpse = "small-remnants",
  collision_box = {{-0.4, -0.9 }, {0.4, 0.9}},
  selection_box = {{-0.5, -1 }, {0.5, 1}},
  rotation_speed = 0.015,
  preparing_speed = 0.08,
  folding_speed = 0.08,
  dying_explosion = "huge-explosion",
  inventory_size = 1,
  automated_ammo_count = 10,
  folded_animation = (function()
				      local res = util.table.deepcopy(gun_turret_extension)
                      res.frame_count = 1
                      res.line_length = 1
                      return res
                      end)(),
  preparing_animation = gun_turret_extension,
  prepared_animation =
  {
    filename = "__base__/graphics/entity/gun-turret/gun-turret.png",
    priority = "medium",
    width = 178,
    height = 107,
    direction_count = 64,
    frame_count = 1,
    line_length = 8,
    axially_symmetrical = false,
    shift = {1.34375, -0.46875 + 0.6}
  },
  folding_animation = (function()
                       local res = util.table.deepcopy(gun_turret_extension)
                       res.run_mode = "backward"
                       return res
                       end)(),
  base_picture =
  {
    filename = "__base__/graphics/entity/gun-turret/gun-turret-base.png",
    priority = "high",
    width = 43,
    height = 28,
    shift = { 0, -0.125 + 0.6 }
  },
  attack_parameters =
  {
    ammo_category = "bullet",
    cooldown = 6,
    projectile_center = {0, 0.6},
    projectile_creation_distance = 1.2,
    shell_particle = 
    {
      name = "shell-particle",
      direction_deviation = 0.1,
      speed = 0.1,
      speed_deviation = 0.03,
      center = {0, 0.6},
      creation_distance = 0.6,
      starting_frame_speed = 0.2,
      starting_frame_speed_deviation = 0.1
    },
    range = 17,
    sound =
    {
      {
        filename = "__base__/sound/gunshot.ogg",
        volume = 0.3
      }
    }
  }
},

--ITEM
{
  type = "item",
  name = "submachine-gun-turret",
  icon = "__base__/graphics/icons/gun-turret.png",
  flags = {"goes-to-quickbar"},
  subgroup = "defensive-structure",
  order = "b[turret]-a[submachine-gun-turret]",
  place_result = "submachine-gun-turret",
  stack_size = 50
},

--RECIPE
{
  type = "recipe",
  name = "submachine-gun-turret",
  enabled = "false",
  energy_required = 5,
  ingredients =
  {
    {"iron-gear-wheel", 5},
    {"submachine-gun", 1},
    {"iron-plate", 10}
  },
  result = "submachine-gun-turret"
},

--Technology
{
  type = "technology",
  name = "submachine-gun-turret",
  icon = "__base__/graphics/technology/turrets.png",
  prerequisites = {"military"},
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "submachine-gun-turret"
    }
  },
  unit =
  {
    count = 10,
    ingredients = {{"science-pack-1", 1}},
    time = 10
  },
  order = "a-j-a"
},


--ENTITY shot-gun-turret
{
  type = "ammo-turret",
  name = "shotgun-turret",
  icon = "__base__/graphics/icons/gun-turret.png",
  flags = {"placeable-player", "player-creation"},
  minable = {mining_time = 0.5, result = "shotgun-turret"},
  max_health = 200,
  corpse = "small-remnants",
  collision_box = {{-0.4, -0.9 }, {0.4, 0.9}},
  selection_box = {{-0.5, -1 }, {0.5, 1}},
  rotation_speed = 0.015,
  preparing_speed = 0.08,
  folding_speed = 0.08,
  dying_explosion = "huge-explosion",
  inventory_size = 1,
  automated_ammo_count = 10,
  folded_animation = (function()
				      local res = util.table.deepcopy(gun_turret_extension)
                      res.frame_count = 1
                      res.line_length = 1
                      return res
                      end)(),
  preparing_animation = gun_turret_extension,
  prepared_animation =
  {
    filename = "__base__/graphics/entity/gun-turret/gun-turret.png",
    priority = "medium",
    width = 178,
    height = 107,
    direction_count = 64,
    frame_count = 1,
    line_length = 8,
    axially_symmetrical = false,
    shift = {1.34375, -0.46875 + 0.6}
  },
  folding_animation = (function()
                       local res = util.table.deepcopy(gun_turret_extension)
                       res.run_mode = "backward"
                       return res
                       end)(),
  base_picture =
  {
    filename = "__base__/graphics/entity/gun-turret/gun-turret-base.png",
    priority = "high",
    width = 43,
    height = 28,
    shift = { 0, -0.125 + 0.6 }
  },
  attack_parameters =
  {
    ammo_category = "shotgun-shell",
    explosion = "explosion-gunshot",
    cooldown = 60,
    projectile_creation_distance = 0.6,
    range = 20,
    sound =
    {
      {
        filename = "__base__/sound/pump-shotgun.ogg",
        volume = 0.5
      }
    }
  }
},

--ITEM
{
  type = "item",
  name = "shotgun-turret",
  icon = "__base__/graphics/icons/gun-turret.png",
  flags = {"goes-to-quickbar"},
  subgroup = "defensive-structure",
  order = "b[turret]-b[shotgun-turret]",
  place_result = "shotgun-turret",
  stack_size = 50
},

--RECIPE
{
  type = "recipe",
  name = "shotgun-turret",
  enabled = "false",
  energy_required = 5,
  ingredients =
  {
    {"iron-gear-wheel", 5},
    {"shotgun", 1},
    {"iron-plate", 10}
  },
  result = "shotgun-turret"
},

--Technology
{
  type = "technology",
  name = "shotgun-turret",
  icon = "__base__/graphics/technology/turrets.png",
  prerequisites = {"military"},
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "shotgun-turret"
    }
  },
  unit =
  {
    count = 10,
    ingredients = {{"science-pack-1", 1}},
    time = 10
  },
  order = "a-j-a"
}



}) 